=== seahorse 2.26.1 ===

2009-04-12  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* README:
	* configure.in: Version 2.26.1

2009-04-08  Adam Schreiber <sadam@gnome.org>

    * libegg/eggsmclient.c: Update to latest version.

2009-03-31  Adam Schreiber  <sadam@clemson.edu>

    * pgp/seahorse-hkp-source.c: Make UIDs show up in the order reported by the 
    keyserver. 
    * pgp/seahorse-hkp-source.c:
    * pgp/seahorse-pgp-uid.c: Fix parsing of uids.  Fixes bug #577362

2009-03-24  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.c: Gracefully handle preferences window already
    being open.  Fixes bug #576519

2009-03-20  Stef Walter  <stef@memberwebs.com>

	* ssh/seahorse-ssh-operation.c: When a port wasn't specified 
	the umask for a new authorized_keys wasn't taking effect.
	Research by Andreas Moog. Fixes bug #574899
	
2009-03-16  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-hkp-source.c: Fix crash when entering hkp:
	url manually. Fixes bug #575225

2009-03-16  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== seahorse 2.26.0 ===

2009-03-14  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* README:
	* configure.in: Version 2.26.0

2009-03-05  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-add-keyring.c: Fix cancel button in add keyring
	dialog. Fixes bug #574424

2009-03-04  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-key-manager.c: Update GUI before showing window, to avoid
	GUI changes when selection is initialized. Fix bug #574079
	 
2009-03-02  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-util.c: Read out memory properly from GString.
	Fixes bug #551753
	
	* ssh/seahorse-ssh-key-data.c: Add some null checks. 
	
2009-03-02  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-keyserver-sync.c: Allow multiple sync windows to open. 
	
2009-03-02  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-key-manager.c: Fire selection changed after tab 
	switch actually happens. Fixes bug #553670
	
2009-03-02  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-keyserver-search.c: Add null check. Fixes bug #502029

2009-03-02  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-entry.c: Fix "gnome-keyring-ask needs to disable 
	input method in password" bug #561331 Patch by Takao Fujiwara

=== seahorse 2.25.92 ===

2009-03-02  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* README: Release version 2.25.92

2009-03-01  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-servers.c: Fix crash when typing in custom
	key server URL. Fixes bug #573602
	
2009-03-01  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-keyserver-results.c: Match key identifiers where 
	the server returned a short one, but we're searching for a longer
	key identifier. See bug #568799
	
2009-02-28  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-keyserver-results.c: Make results of 
	a keyserver searched by keyid display properly. Fixes bug #568799
	
2009-02-28  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-object.c:
	* pgp/seahorse-gpgme-key.c: Always have an ID on a GPGME key before
	trying to load other parts.

	* pgp/seahorse-gpgme-key.c: Don't crash when loading a key that 
	initialy only has a secret part.

2009-02-27  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-key-manager-store.c: Don't allow interactive
	search in the key tree since, the filter on the top serves 
	that purpose.
	
2009-02-27  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-gpgme-uid.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-uid.c:
	* pgp/seahorse-pgp-uid.h: Setup ids properly on UID objects. 
	
	* pgp/seahorse-pgp-key.c: 
	* pkcs11/seahorse-pkcs11-operations.c:
	* src/seahorse-key-manager.c: Fix problems highlighted by valgrind,
	using uninitialized variables, and freeing non-allocated memory.
	
	* pgp/seahorse-gpgme-key.c:
	* pgp/seahorse-pgp-key.c: Workaround for strange ownership behavior, 
	we only add GPGME keys to the context, rather than all PGP keys.
	
2009-02-27  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-context.c: Stop segfaulting when objects with NULL 
    ids are removed.

    * libcryptui/cryptui.c: gtk-doc documentation

    * libseahorse/seahorse-widget.c: Fix reference counting so destroyed
    widgets are indeed destroyed.

2009-02-25  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-object-widget.c:
    * libseahorse/seahorse-widget.c: Remove more deprecated symbols.
    Patch from Thomas Anderson.  Fixes bug #572181

2009-02-17  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-widget.c: Remove deprecated GTK+ symbols
    Fixes bug #572181

2009-02-17  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-search.c:
    * gkr/seahorse-gkr-item-properties.c:
    * libseahorse/seahorse-object-widget.h: Remove deprecated GTK+ symbols
    Fixes bug #572181

2009-02-17  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/seahorse-keyserver-results.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-viewer.c: Get rid of some reused stock item names, 
	fall back to default. Fixes bug #572140.

2009-02-16  Adam Schrieber  <sadam@clemson.edu>

    * libseahorse/seahorse-object.c: Change context to comment. 
    Fixes bug #571808

    * libseahorse/seahorse-object.c: Add context to string.  Fixes bug #571808

2009-02-16  Gabor Kelemen  <kelemeng@gnome.hu>

	* gkr/seahorse-gkr-keyring.c: Mark two strings for translation. Fixes bug #571991

2009-02-14  Adam Schreiber  <sadam@clemson.edu>

    * pkcs11/seahorse-pkcs11-commands.c: Add missing comma

2009-02-14  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Stef Walter <stef@memberwebs.com>

	* pkcs11/seahorse-pkcs11-commands.c:
	(seahorse_pkcs11_commands_delete_objects):

	Use ngettext() where appropriate. Fixes bug #571778.

2009-02-14  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/seahorse-viewer.c: (on_copy_complete):
	Add translator comments.

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-pgp-generate.glade: Collapse key generate 
	'Advanced Options' by default.

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== seahorse 2.25.91 ===

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* README: Release version 2.25.91

2009-02-13  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-add-keyring.c: Fix problem with creation
	and destruction of the keyring create dialog. Fixes bug #548319
	
	* gkr/seahorse-gkr-add-keyring.c: Refresh keyrings after adding
	a keyring.
	
	* gkr/seahorse-gkr-keyring-commands.c: Prompt before deleting a keyring.
	
2009-02-13  Stef Walter  <stef@memberwebs.com>

	* reference/libcryptui/Makefile.am: Fix path-as-variable which
	prevents seahorse from building.
	
2009-02-12  Adam Schreiber  <sadam@clemson.edu>

    * gkr/seahorse-gkr-item-properties.glade.h:
    * src/seahorse-viewer.c: Add contexts for "delete" string.  
    Fixes bug #571359

    * help/C/figures/passphrase.png: (deleted)
    * help/C/figures/file-manager.png: (deleted)
    * help/C/figures/key-manager.png: (deleted)
    * help/C/figures/key-properties.png: (deleted)
    * help/C/figures/preferences.png: (deleted)
    * help/C/figures/signature.png: (deleted)
    * help/C/figures/generate.png: (deleted)
    * help/C/figures/recipients.png: (deleted)
    * help/C/figures/text-editor.png: (deleted)
    * help/C/figures/export.png: (deleted)
    * help/C/figures/import.png: (deleted)
    * help/Makefile.am: Remove unused screenshots

2009-02-10  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/seahorse-pkcs11-certificate-props.c:
	* pkcs11/seahorse-pkcs11-certificate.c: Allow PKCS#11 support to build,
	and fix build for changes in gnome-keyring.
	
2009-02-08  Stef Walter  <stef@memberwebs.com>

	* common/seahorse-registry.c: 
	* src/seahorse-viewer.c: GType is 64-bits on 64-bit platforms. 
	Fixes bug #562084. Research by Joe Marcus Clarke, Scott McVittie
	
2009-02-07  Adam Schreiber  <sadam@clemson.edu>

    * daemon/org.gnome.seahorse.service.in:
    * daemon/seahorse-daemon.desktop.in.in: Remove -d flag from exec strings
    to start the daemon.

    * daemon/seahorse-daemon.desktop.in.in: Only autostart the daemon when
    sharing is enabled.  Fixes bug #570773

2009-02-06  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-object.c: Map 'raw-id' DBus field to 
	internal properties.
	
2009-02-06  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-unknown-source.c: Fix problem constructing
	SeahorseUnknownSource due to read-only property. 
	
	* libseahorse/seahorse-context.c: Fix problem with not creating 'missing'
	objects when the 'auto_retrieve' setting isn't set. Fixes bug #570456
	
	* libseahorse/seahorse-unknown-source.c: Set location of unknown objects
	correctly to signifiy searching or missing.
	
2009-02-05  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-context.c: 
	* libseahorse/seahorse-context.h: Ref objects while the 
	context is being destroyed, so that removing an object 
	that was removed by another object doesn't crash. We need
	a new ownership model....

	* pgp/seahorse-pgp-key.c: Register UIDs with the context. This
	enables their IDs to be once again used over DBus. Fixes bug #570704
	
2009-02-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* libcryptui/Makefile.am:
	* libcryptui/tests/Makefile.am:
	* libcryptui/tests/cryptui-test-ui.c: Revert accidental deletion 
	of libcryptui test program deletion in svn commit [2716]
	
	* daemon/seahorse-service-keyset.c: Don't return objects without ids
	via libcryptui. Fixes bug #570454

	* daemon/seahorse-service-crypto.c:
	* pgp/seahorse-gpgme-key.c:
	* pgp/seahorse-gpgme-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-signature.c:
	* pgp/seahorse-server-source.c: Rework functions for converting pgp keyids
	into object ids, including the canonize id function. 
	
	* pgp/seahorse-gpgme-uid.c: Add object id to UID objects, which helps them
	to show up in libcryptui. 

2009-02-04  Adam Schreiber  <sadam@clemson.edu>

    * pgp/seahorse-sign.glade:
    * ssh/seahorse-ssh-upload.glade:
    * ssh/seahorse-ssh-generate.glade: Remove explicit line breaks from glade
    files.  Patch from Gabor Kelemen.  Fixes bug #570485
    
2009-02-03  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: increment version number to 2.25.91

=== seahorse 2.25.90 ===

2009-02-03  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * NEWS:
    * README: Release version 2.25.1

2009-02-03  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* daemon/Makefile.am: Remove excessive $(srcdir) in rules, fixing
	non-source-dir build error.  Fixes bug #570330.

2009-02-02  Stef Walter  <stef@memberwebs.com>

	* configure.in: Remove libtasn1 dependency. 
	
2009-02-01  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-keyring.c:
	* gkr/seahorse-gkr-keyring.h: 
	* gkr/seahorse-gkr-source.c: Retrieve default key name and set 
	default keyring flag on keyrings.
	
	* gkr/seahorse-gkr-keyring-commands.c: Add menu item to make keyring
	default.
	
	* gkr/seahorse-gkr-source.c:
	* gkr/seahorse-gkr-source.h: Add concept of a 'default' gkr source, 
	so we can access it for refresh operations and the like.  
	
	* libseahorse/seahorse-context.c: Don't refresh sources as they're 
	added to the context. Only refresh when specifically requested.
	
	* gkr/seahorse-gkr-source.c: Refresh keyring sources when the main
	gkr source is refreshed.
	
	* gkr/seahorse-gkr-keyring-commands.c: Refresh all keyrings when the 
	status of a keyring changes. For example lock/unlock, set default etc..
	
2009-02-01  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-source.c: Don't show the session keyring.

2009-02-01  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-keyring-commands.c:
	* gkr/seahorse-gkr-keyring-commands.h: Add 'lock' and 'unlock' commands
	to password keyrings.

2009-02-01  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-set-model.c: Don't remove nodes that have 
	children which are still in the set to display.

2009-02-01  Adam Schreiber  <sadam@clemson.edu>

    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c: Register properly with the session manager.
    Fixes bug #569636

    * autogen.sh:
    * libcryptui/cryptui.c:
    * configure.in:
    * reference/libcryptui/libcryptui-overrides.txt: (added)
    * reference/libcryptui/version.xml.in: (added)
    * reference/libcryptui/Makefile.am: (added)
    * reference/libcryptui/libcryptui-docs.sgml: (added)
    * reference/Makefile.am:
    * Makefile.am: Add infrastructure to add gtk-doc for libcryptui.  
    Removes block for bug #353061

    * configure.in:
    * src/seahorse-viewer.c: Make sure hkp and ldap are disable and preferences
    is removed from the menu when pgp is disabled.  Fixes bug #551799
    * libseahorse/seahorse-prefs.glade: Change window name to "Preferences"
    Fixes bug #546492
    
2009-01-31  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * libegg/eggdesktopfile.c: (added)
    * libegg/eggdesktopfile.h: (added)
    * libegg/eggsmclient.c: (added)
    * libegg/eggsmclient.h:  (added)
    * libegg/eggsmclient-private.h: (added)
    * libegg/eggsmclient-xsmp.c: (added)
    * libegg/Makefile.am: Add files and build magic to start adding smclient to
    daemon
    
2009-02-01  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-operation.c: Don't show operation debug output by default.
	
2009-02-01  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-keyring.c: Show all keyrings in the key manager.
	
2009-02-01  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-service.c:
	* gkr/seahorse-gkr-keyring.c:
	* gkr/seahorse-gkr-source.c:
	* libseahorse/seahorse-commands.c:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-unknown-source.c:
	* pgp/seahorse-gpgme-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-server-source.c:
	* pkcs11/seahorse-pkcs11-source.c:
	* src/seahorse-keyserver-sync.c:
	* ssh/seahorse-ssh-source.c: Rename the SeahorseSource properties so that they 
	can be more easily defined on SeahorseObject objects. Removes a wrinkle for 
	implementing source and object on the same class.

2009-02-01  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-keyring.c:
	* gkr/seahorse-gkr-source.c:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-unknown-source.c:
	* pgp/seahorse-gpgme-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-server-source.c:
	* pkcs11/seahorse-pkcs11-source.c:
	* ssh/seahorse-ssh-source.c: Remove unused 'key-desc' property from sources.
	 
2009-01-30  Stef Walter  <stef@memberwebs.com>

	* ssh/seahorse-ssh-key-properties.c: Block trust-toggled signal handler
	when updating the toggle button. Fixes bug #568852
	
2009-01-29  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-keyring-commands.c:
	* src/seahorse-key-manager.ui: Add right click item for changing keyring password.

2009-01-29  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-gtkstock.c: Enable proper folder icon for keyrings

2009-01-29  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-source.c: Fix problem with hidden gnome-keyring items.

2009-01-28  Stef Walter  <stef@memberwebs.com>

	* libcryptui/crui-*: (removed)
	* libcryptui/Makefile.am:
	* libcryptui/template/*: (removed)
	* libcryptui/tests/*: (removed)
	* libcryptui/tests/files/*: (removed) Remove bits of libcryptui
	that are now handled by the gcr library from gnome-keyring.
	
	* pkcs11/Makefile.am:
	* pkcs11/seahorse-pkcs11-certificate.c:
	* pkcs11/seahorse-pkcs11-certificate-props.c: (added)
	* pkcs11/seahorse-pkcs11-certificate-props.h: (added)
	* pkcs11/seahorse-pkcs11-commands.c: 
	* configure.in: Depend on and use the gcr library from gnome-keyring
	for displaying certificate properties.
	
2009-01-22  Adam Schreiber  <sadam@clemson.edu>

    * pgp/seahorse-hkp-source.c: Prepend "0x" onto hex keyid search terms that
    need it.
    * daemon/Makefile.am: Change autostart directory.  Fixes bug #568761

2009-01-14  Magnus Boman  <captain.magnus@gmail.com>

	* common/seahorse-registry.c (lookup_category_values),
	(seahorse_registry_lookup_function): Fix bug #565649 (64bit
	portability issue)

2009-01-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.25.5

==================== 2.25.4 ====================

2009-01-07  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 2.25.4

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/seahorse-pkcs11-module.c: Update for new gp11 library changes.
	Depend on gnome-keyring 2.25.4

2008-12-30  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/seahorse-pkcs11-object.c: Make seahorse depend on gnome-keyring
	HEAD (ie: 2.25.3), and fix build problems because of GP11 changes.
	
2008-12-22  Adam Schreiber  <sadam@clemson.edu>

    * ssh/seahorse-ssh-generate.c: Dont' destroy swidget immediately.
    Patch from Jeff Cai.  Fixes bug #562413

== Seahorse 2.25.3 ==

2008-12-19  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * Makefile.am:
    * NEWS:
    * README: 
    * pkcs11/Makefile.am:
    * po/POTFILES.in: Release 2.25.3

2008-12-17  Stef Walter  <stef@memberwebs.com>

	* configure.in: Build fix. Fixes bug #564815

2008-12-16  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-object.c:
	* gkr/seahorse-gkr-item.c:
	* gkr/seahorse-gkr-keyring.c: 
	* pgp/seahorse-pgp-uid.c: Allow 'tag' property to be directly set.
	This is useful for matching in predicates.
	
	* gkr/seahorse-gkr-item-commands.c:
	* gkr/seahorse-gkr-keyring-commands.c:
	* libseahorse/seahorse-types.h:
	* libseahorse/seahorse-view.c:
	* libseahorse/seahorse-view.h:
	* pgp/seahorse-pgp-commands.c:
	* pkcs11/seahorse-pkcs11-commands.c:
	* src/seahorse-key-manager.c:
	* src/seahorse-viewer.c:
	* src/seahorse-viewer.h:
	* ssh/seahorse-ssh-commansd.c: Use predicates to enable and disable 
	commands in the view. Fine tune exporting and deleting based on exportable and 
	deletable flags. Select objects being operated on, when not all 
	objects apply for the current operation. Hide commands that are not
	applicable for the currently selected objects. 
	
2008-12-16  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-object.c: Lots of fixes on when to 
	realize objects.
	
	* libseahorse/seahorse-object-widget.c: Don't do a window grab.
	
	* pgp/seahorse-add-subkey.glade:
	* pgp/seahorse-expires.glade:
	* pgp/seahorse-gpgme-add-subkey.c:
	* pgp/seahorse-gpgme-expires.c:
	* pgp/seahorse-gpgme-key.c:
	* pgp/seahorse-gpgme-key-op.c:
	* pgp/seahorse-gpgme-subkey.c:
	* pgp/seahorse-gpgme-uid.c:
	* pgp/seahorse-gpgme-uid.h:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-commands.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-private-key-properties.glade:
	* pgp/seahorse-pgp-public-key-properties.glade:
	* pgp/seahorse-pgp-signature.c:
	* pgp/seahorse-pgp-subkey.c:
	* pgp/seahorse-pgp-subkey.h:
	* pgp/seahorse-pgp-uid.c: 
	* src/seahorse-keyserver-results.c:
	* src/seahorse-keyserver-results.ui: Fix various PGP key operations. Lots of UI
	fixes as well. Go through and test everything in the PGP dialogs.
	Fixes for searching for remote keys.
	
2008-12-16  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-set-model.c: Remove objects that 
	disappeared from table properly. Fixes assertion on exit.
	
	* src/seahorse-key-manager.c: Fix erroneous unref of widget
	owned by glade.
	
	* daemon/seahorse-service-crypto.c:
	* pgp/seahorse-gpgme-key.c:
	* pgp/seahorse-gpgme-key-op.c:
	* pgp/seahorse-gpgme-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-signature.c:
	* pgp/seahorse-server-source.c: Add function for calculating 
	displayable identifier. Rename other PGP key ID related functions
	to have 'calc' in the name instead of 'get. 
	
	* ssh/seahorse-ssh-key.c: 
	* ssh/seahorse-ssh-key.h:
	* ssh/seahorse-ssh-source.c: Explicitly set SSH key displayable ID.
	
	* libseahorse/seahorse-widget.c: Don't save window sizes for dialogs.
	
	* libseahorse/seahorse-object-widget.c: Fix assertion when closing windows.
	The window group is the one of the transient parent, and we were trying to 
	fiddle with it directly. 
	
	* libseahorse/seahorse-view.vala: (remove) Old leftover file
	
	* pgp/seahorse-pgp-commands.c: 
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.ui:
	* src/seahorse-keyserver-results.ui:
	* src/seahorse-viewer.c: Generalize names for 'delete' and other actions.
	Fix deletion of PGP keys.
	
	* src/seahorse-generate-select.glade:
	* pgp/seahorse-pgp-generate.glade: UI fixes for PGP key generation.
	
2008-12-16  Stef Walter  <stef@memberwebs.com>

	* src/Makefile.am:
	* src/main.c: (moved to seahorse-main.c) Rename main.c
	to stop confusing debuggers. 
	
2008-12-16  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-key-manager-store.c: Fix cyclical reference,
	with the filter and sort models.
	
	* libseahorse/seahorse-context.c: Don't automatically try 
	and refresh remote key sources.
	
	* libseahorse/seahorse-object.c: Don't try to realize properties
	for which we already have a value.

2008-12-16  Stef Walter  <stef@memberwebs.com>
	
	* pgp/seahorse-gpgme-key.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-key.c:
	* src/seahorse-keyserver-results.c: Fix bugs relating to searching
	for remote keys, that resulted from recent refactoring.

2008-12-15  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-progress.c: Disconnect properly from 
	monitoring progress on operations when op finishes.
	
	* pkcs11/seahorse-pkcs11-object.c: Access object slot correctly.
	
2008-12-15  Stef Walter  <stef@memberwebs.com>

	* gkr/Makefile.am:
	* gkr/seahorse-add-keyring.glade: (moved from libseahorse)
	* gkr/seahorse-gkr-add-keyring.c: (added)
	* gkr/seahorse-gkr-commands.c: (removed)
	* gkr/seahorse-gkr-commands.c: (removed)
	* gkr/seahorse-gkr-dialogs.h:
	* gkr/seahorse-gkr-item-commands.c: (added)
	* gkr/seahorse-gkr-item-commands.h: (added)
	* gkr/seahorse-gkr-keyring-commands.c: (added)
	* gkr/seahorse-gkr-keyring-commands.h: (added)
	* gkr/seahorse-gkr-module.c: 
	* gkr/seahorse-gkr-module.h:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-add-keyring.glade: (moved to gkr)
	* libseahorse/seahorse-prefs.c:
	* libseahorse/seahorse-prefs.glade:
	* libseahorse/seahorse-prefs-keyrings.c: (removed)
	Moved the add keyring and delete keyring functionality into 
	the gkr module.
	
2008-12-15  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-hkp-server.c:
	* daemon/seahorse-service-crypto.c:
	* pgp/Makefile.am:
	* pgp/seahorse-gpgme-*: (added)
	* pgp/seahorse-gpgmex-*: (removed)
	* pgp/seahorse-gpg-op.c: (added)
	* pgp/seahorse-gpg-op.h: (added)
	* pgp/seahorse-gpg-options.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp.c:
	* pgp/seahorse-pgp.h:
	* pgp/seahorse-pgp-add-subkey.c: (moved)
	* pgp/seahorse-pgp-add-uid.c: (moved)
	* pgp/seahorse-pgp-commands.c:
	* pgp/seahorse-pgp-dialogs.h:
	* pgp/seahorse-pgp-error.c: (removed)
	* pgp/seahorse-pgp-expires.c: (moved)
	* pgp/seahorse-pgp-generate.c: (moved)
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h: 
	* pgp/seahorse-pgp-key-op.c: (moved)
	* pgp/seahorse-pgp-key-op.h: (moved)
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-module.c: 
	* pgp/seahorse-pgp-operation.c: (moved)
	* pgp/seahorse-pgp-operation.h: (moved)
	* pgp/seahorse-pgp-photo.c:
	* pgp/seahorse-pgp-photo.h:
	* pgp/seahorse-pgp-photos.c: (moved)
	* pgp/seahorse-pgp-revoke.c: (moved)
	* pgp/seahorse-pgp-sign.c: (moved)
	* pgp/seahorse-pgp-signature.c: (added)
	* pgp/seahorse-pgp-signature.h: (added)
	* pgp/seahorse-pgp-source.c: (moved)
	* pgp/seahorse-pgp-source.h: (moved)
	* pgp/seahorse-pgp-uid.c: 
	* pgp/seahorse-pgp-uid.h:
	* pgp/seahorse-server-source.c:
	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-util.c: More cleanly split GPGME dependant
	code. Allow for non GPGME based PGP keys (ie: remote keys)
	
2008-12-15  Stef Walter  <stef@memberwebs.com>

	* libseahorse/libseahorse.gidl: (removed)
	* libseahorse/libseahorse.vapi: (removed)
	* libseahorse/libseahorse-c.deps: (removed)
	* libseahorse/libseahorse-c.vapi: (removed)
	* src/Makefile.am:
	* src/seahorse-keyserver-results.c:
	* src/seahorse-keyserver-results.h:
	* src/seahorse-keyserver-results.vala: (removed) 
	* acinclude.m4:
	* bugs.vapi: (removed)
	* config.vapi: (removed)
	* configure.in: Change keyserver results to C code. 
	Remove last vala traces.
	
2008-12-14  Adam Schreiber  <sadam@clemson.edu>

    * src/Makefile.am:
    * src/seahorse-key-manager.c: Fix building without keyserver
    * pkcs11/seahorse-pkcs11-object.c: Fix compiler error

2008-12-14  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-daemon.c:
	* gkr/seahorse-gkr-item-properties.c:
	* gkr/seahorse-gkr-keyring.c:
	* gkr/seahorse-gkr-source.c:
	* gkr/seahorse-gkr-source.h:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-unknown-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-server-source.c:
	* pkcs11/seahorse-pkcs11-source.c:
	* src/main.c:
	* src/seahorse-key-manager.h:
	* src/seahorse-key-manager.c:
	* ssh/seahorse-ssh-source.c: Make SeahorseGkrKeyring be both
	a SeahorseObject and a SeahorseSource. Enumerate keyrings 
	properly. Don't list items in locked keyrings. Refresh 
	sources as they're added to the context.
	
2008-12-14  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-progress.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.vala: Use g_timeout_add_seconds instead of
    g_timeout_add where possible to allow for event grouping. 
    Patch from Debarshi Ray. Fixes bug #564403.  

2008-12-14  Stef Walter  <stef@memberwebs.com>

	* src/Makefile.am:
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager.h:
	* src/seahorse-key-manager.vala: (removed)
	Change Key manager window to C code from vala.
	
2008-12-14  Stef Walter  <stef@memberwebs.com>

	* common/seahorse-registry.c:
	* common/seahorse-registry.h:
	* daemon/seahorse-service-keyset.c:
	* gkr/seahorse-gkr-source.c:
	* gkr/seahorse-gkr-source.h:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-unknown-source.c:
	* libseahorse/seahorse-unknown-source.h:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-source.h:
	* pgp/seahorse-server-source.c:
	* pgp/seahorse-server-source.h:
	* pkcs11/seahorse-pkcs11-source.c:
	* pkcs11/seahorse-pkcs11-source.h: 
	* ssh/seahorse-ssh-source.c:
	* ssh/seahorse-ssh-source.h: Make SeahorseSource be an 
	interface that can be implemented on other objects (ie: keyrings).
	
2008-12-14  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-item.c:
	* gkr/seahorse-gkr-item-properties.c:
	* gkr/seahorse-gkr-keyring.c:
	* gkr/seahorse-gkr-operation.c:
	* gkr/seahorse-gkr-operation.h:
	* gkr/seahorse-gkr-source.c:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-object.h:
	* libseahorse/seahorse-prefs-keyrings.c:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-types.h:
	* libseahorse/seahorse-unknown.c:
	* libseahorse/seahorse-unknown-source.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key-op.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-source.c:
	* pkcs11/gp11.vapi: (removed)
	* pkcs11/gp11-hacks.h: (removed)
	* pkcs11/libseahorse-pkcs11-c.vapi: (removed)
	* pkcs11/Makefile.am:
	* pkcs11/p11.vapi: (removed)
	* pkcs11/seahorse-pkcs11.c:
	* pkcs11/seahorse-pkcs11.h:
	* pkcs11/seahorse-pkcs11.vala: (removed)
	* pkcs11/seahorse-pkcs11-certificate.c:
	* pkcs11/seahorse-pkcs11-certificate.h:
	* pkcs11/seahorse-pkcs11-commands.c:
	* pkcs11/seahorse-pkcs11-helpers.c: (added)
	* pkcs11/seahorse-pkcs11-helpers.h: (added)
	* pkcs11/seahorse-pkcs11-module.c:
	* pkcs11/seahorse-pkcs11-object.c: (added)
	* pkcs11/seahorse-pkcs11-object.h: (added)
	* pkcs11/seahorse-pkcs11-operations.c: (added)
	* pkcs11/seahorse-pkcs11-operations.h: (added)
	* pkcs11/seahorse-pkcs11-source.c:
	* pkcs11/seahorse-pkcs11-source.h:
	* pkcs11/seahorse-pkcs11-source.vala: (removed)
	Remove delete from the source to the object. The object now 
	knows how to delete itself (if possible). Change how refresh 
	works so that an object is always as valid as possible.
	Rework PKCS#11 objects and sources. 
	
2008-12-12  Stef Walter  <stef@memberwebs.com>

	* libseahorse/Makefile.am:
	* libseahorse/seahorse-servers.c:
	* libseahorse/seahorse-servers.h:
	* libseahorse/seahorse-servers.vala: (removed)
	Remove more vala usage
	
2008-12-12  Stef Walter  <stef@memberwebs.com>

	* common/seahorse-registry.c:
	* common/seahorse-registry.h:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-generator.c: (removed)
	* libseahorse/seahorse-generator.h: (removed)
	* libseahorse/seahorse-generator.vala: (removed)
	* libseahorse/seahorse-source.c:
	* pgp/libseahorse-pgp-c.vapi: (removed)
	* pgp/Makefile.am:
	* pgp/seahorse-pgp-dialogs.h:
	* pgp/seahorse-pgp-generate.c:
	* pgp/seahorse-pgp-generator.c: (removed)
	* pgp/seahorse-pgp-generator.h: (removed)
	* pgp/seahorse-pgp-generator.vala: (removed)
	* pgp/seahorse-pgp-module.c:
	* src/Makefile.am:
	* src/seahorse-generate-select.c:
	* src/seahorse-generate-select.h:
	* src/seahorse-generate-select.vala: (removed)
	* ssh/libseahorse-ssh-c.vapi: (removed)
	* ssh/Makefile.am:
	* ssh/seahorse-ssh.c:
	* ssh/seahorse-ssh.h:
	* ssh/seahorse-ssh.vala: (removed)
	* ssh/seahorse-ssh-dialogs.h:
	* ssh/seahorse-ssh-generate.c:
	* ssh/seahorse-ssh-generator.c: (removed)
	* ssh/seahorse-ssh-generator.h: (removed)
	* ssh/seahorse-ssh-generator.vala: (removed)
	* ssh/seahorse-ssh-module.c: Simplified how the generate actions work,
	and removed some vala code.
	
2008-12-12  Adam Schreiber  <sadam@clemson.edu>
    
    * pkcs11/seahorse-pkcs11-source.c
    * pkcs11/seahorse-pkcs11.c:
    * pgp/seahorse-pgp-commands.vala:
    * pgp/seahorse-pgp-commands.c: Fix compiler warnings

    * pkcs11/gp11.vapi: Add [Compact] to attributes.  Fixes jhbuild build.

2008-12-12  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkr-commands.c:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-commands.c:
	* libseahorse/seahorse-commands.h:
	* libseahorse/seahorse-commands.vala: (removed)
	* libseahorse/seahorse-view.c:
	* libseahorse/seahorse-view.h:
	* libseahorse/seahorse-view.vala: (removed)
	* pgp/Makefile.am:
	* pgp/seahorse-pgp-commands.c:
	* pgp/seahorse-pgp-commands.h:
	* pgp/seahorse-pgp-commands.vala: (removed)
	* pgp/seahorse-pgp-module.c:
	* pkcs11/seahorse-pkcs11-commands.c:
	* src/seahorse-viewer.c:
	* src/seahorse-viewer.h:
	* ssh/Makefile.am:
	* ssh/seahorse-ssh-commands.c:
	* ssh/seahorse-ssh-commands.vala: (removed)
	* ssh/seahorse-ssh-module.c: Rework how commands are looked up.
	No longer by tag, but by object GType.
	
2008-12-12  Stef Walter  <stef@memberwebs.com>

	* common/seahorse-object-list.c: (added)
	* common/seahorse-object-list.h: (added)
	* common/Makefile.am: Aded utility functions for managing lists of objects.
	
	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-object-model.c:
	* libseahorse/seahorse-set-model.c: 
	* src/seahorse-key-manager-store.c: Various object and model fixes
	to patch corner cases with objects going away.
	
	* daemon/seahorse-service-crypto.c: 
	* pgp/libseahorse-pgp-c.vapi:
	* pgp/Makefile.am:
	* pgp/seahorse-expires.glade:
	* pgp/seahorse-gpgmex.h:
	* pgp/seahorse-gpgmex-util.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp.c:
	* pgp/seahorse-pgp.h:
	* pgp/seahorse-pgp.vala: (removed)
	* pgp/seahorse-pgp-add-subkey.c:
	* pgp/seahorse-pgp-add-uid.c:
	* pgp/seahorse-pgp-commands.c:
	* pgp/seahorse-pgp-commands.vala:
	* pgp/seahorse-pgp-dialogs.h:
	* pgp/seahorse-pgp-expires.c:
	* pgp/seahorse-pgp-generator.c:
	* pgp/seahorse-pgp-key.c: 
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-key-op.c:
	* pgp/seahorse-pgp-key-op.h:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-photo.c: (added)
	* pgp/seahorse-pgp-photo.c: (added)
	* pgp/seahorse-pgp-revoke.c: 
	* pgp/seahorse-pgp-sign.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-sign.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-subkey.c: (added)
	* pgp/seahorse-pgp-subkey.h: (added)
	* pgp/seahorse-pgp-uid.c:
	* pgp/seahorse-pgp-uid.h:
	* pgp/seahorse-server-source.c:
	* pgp/seahorse-signer.c: Refactored how the PGP code works with regard
	to UIDs and subkeys. These are now separate objects, and keep track of 
	their own indexes etc.. Operations can be done directly with these objects
	(ie: sign, revoke etc...)
	
2008-12-11  Adam Schreiber  <sadam@clemson.edu>

    * pgp/seahorse-pgp-generate.c:
    * pgp/seahorse-pgpgenerate.glade: Fix display of expiry date time.
    Fixes bug #564199
    * configure.in:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.desktop.in.in:
    * po/POTFILES.in: Autostart seahorse-daemon.  Patch from F. Steinel.
    Fixes bugs #555735, #484154
    * ssh/seahorse-ssh-operation.c: Patch from Jeff Cai.  Fixes bug #558491.

2008-11-29  Stef Walter  <stef@memberwebs.com>

	* gkr/Makefile.am:
	* gkr/seahorse-gkr-item.c:
	* gkr/seahorse-gkr-keyring.c: (added)
	* gkr/seahorse-gkr-keyring.glade: (added)
	* gkr/seahorse-gkr-keyring.h: (added)
	* gkr/seahorse-gkr-keyring-properties.c: (added)
	* gkr/seahorse-gkr-module.c: 
	* gkr/seahorse-gkr-source.c: Add keyring object, and show all keyrings
	in the main window. Basic support.
	
	* libseahorse/seahorse-set-model.c: Some fixes for displaying parents
	that aren't in the matched set.
	
	* libseahorse/libseahorse.vapi:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-object.h:
	* src/seahorse-key-manager.vala: Add some better enumeration of objects
	using callbacks. Also add possiblility to match on GObject type.
	
2008-11-29  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-object.h: Better checks to not notify if the 
	value being set on a property is the same.

	* libseahorse/seahorse-operation.c: Some additional 
	safety debugging checks.
	
	* gkr/seahorse-gkr-item.c:
	* gkr/seahorse-gkr-item.h:
	* gkr/seahorse-gkr-item-properties.c:
	* gkr/seahorse-gkr-module.c:
	* gkr/seahorse-gkr-operation.c:
	* gkr/seahorse-gkr-source.c: Load item info, attributes and ACL 
	on demand. Rework dialog so it's more event driven.
	
	* src/main.c:
	* src/seahorse-key-manager.vala: Load gnome-keyring items on startup.

2008-11-29  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* common/seahorse-bind.c: (added)
	* common/seahorse-bind.h: (added)
	Added generic property binding from one object to another.
	
	* daemon/seahorse-service.c:
	* daemon/seahorse-service-crypto.c:
	* daemon/seahorse-service-keyset.c:
	* gkr/seahorse-gkr-commands.c:
	* gkr/seahorse-gkr-item.c:
	* gkr/seahorse-gkr-item.h:
	* gkr/seahorse-gkr-item-properties.c:
	* gkr/seahorse-gkr-operation.c:
	* gkr/seahorse-gkr-source.c:
	* libseahorse/libseahorse.vapi:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-combo-keys.c:
	* libseahorse/seahorse-combo-keys.h:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-gtkstock.h:
	* libseahorse/seahorse-key.c: (removed)
	* libseahorse/seahorse-key.h: (removed)
	* libseahorse/seahorse-key-model.c: (moved to seahorse-object-model.c)
	* libseahorse/seahorse-key-model.h: (moved to seahorse-object-model.h)
	* libseahorse/seahorse-keyserver-control.c:
	* libseahorse/seahorse-key-widget.c: (moved to seahorse-object-widget.c)
	* libseahorse/seahorse-key-widget.h: (moved to seahorse-object-widget.h)
	* libseahorse/seahorse-notification.c:
	* libseahorse/seahorse-object.c:
	* libseahorse/seahorse-object.h:
	* libseahorse/seahorse-object.vala: (removed)
	* libseahorse/seahorse-object-model.c: (moved from seahorse-key-model.c)
	* libseahorse/seahorse-object-model.h: (moved from seahorse-key-model.h)
	* libseahorse/seahorse-object-widget.c: (moved from seahorse-key-widget.c)
	* libseahorse/seahorse-object-widget.h: (moved from seahorse-key-widget.h)
	* libseahorse/seahorse-progress.c:
	* libseahorse/seahorse-set.c:
	* libseahorse/seahorse-set.h:
	* libseahorse/seahorse-set-model.c:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-types.c:
	* libseahorse/seahorse-types.h:
	* libseahorse/seahorse-types.vala: (removed)
	* libseahorse/seahorse-unknown.c: (moved from seahorse-unknown-key.c)
	* libseahorse/seahorse-unknown.h: (moved from seahorse-unknown-key.h)
	* libseahorse/seahorse-unknown-key.c: (moved to seahorse-unknown.c)
	* libseahorse/seahorse-unknown-key.h: (moved from seahorse-unknown.h)
	* libseahorse/seahorse-unknown-source.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* pgp/libseahorse-pgp-c.vapi:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-add-subkey.c:
	* pgp/seahorse-pgp-add-uid.c:
	* pgp/seahorse-pgp-commands.vala:
	* pgp/seahorse-pgp-expires.c:
	* pgp/seahorse-pgp-generate.c:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-key-op.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-keysets.c:
	* pgp/seahorse-pgp-revoke.c:
	* pgp/seahorse-pgp-sign.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-uid.c:
	* pgp/seahorse-pgp-uid.h:
	* pgp/seahorse-server-source.c:
	* pgp/seahorse-signer.c:
	* pkcs11/seahorse-pkcs11-certificate.c:
	* pkcs11/seahorse-pkcs11-certificate.h:
	* pkcs11/seahorse-pkcs11-commands.c:
	* src/seahorse-key-manager.vala:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-keyserver-results.vala:
	* src/seahorse-keyserver-sync.c:
	* src/seahorse-viewer.c:
	* ssh/libseahorse-ssh-c.vapi:
	* ssh/seahorse-ssh-commands.vala:
	* ssh/seahorse-ssh-generate.c:
	* ssh/seahorse-ssh-key.c:
	* ssh/seahorse-ssh-key.h:
	* ssh/seahorse-ssh-key-properties.c:
	* ssh/seahorse-ssh-operation.c:
	* ssh/seahorse-ssh-source.c:
	* ssh/seahorse-ssh-upload.c:
	Major refactoring. Remove SeahorseKey and use SeahorseObject directly. Remove the 
	changed signal from keys, and use GObject 'notify' signal instead. Standardize 
	set of properties, with all the common properties handled by SeahorseObject. 
	Cleanup concept of child objects. 
	
2008-11-23  Stef Walter  <stef@memberwebs.com>
	
	* gkr/libseahorse-gkr-c.vapi: (removed)
	* gkr/Makefile.am:
	* gkr/seahorse-gkeyring-item.c: (moved to seahorse-gkr-item.c)
	* gkr/seahorse-gkeyring-item.h: (moved to seahorse-gkr-item.h)
	* gkr/seahorse-gkeyring-item-properties.c: (moved to seahorse-gkr-item-properties.c)
	* gkr/seahorse-gkeyring-item-properties.glade: (moved to seahorse-gkr-item-properties.glade)
	* gkr/seahorse-gkeyring-operation.c: (moved to seahorse-gkr-operation.c)
	* gkr/seahorse-gkeyring-operation.h: (moved to seahorse-gkr-operation.h)
	* gkr/seahorse-gkeyring-source.c: (moved to seahorse-gkr-source.c)
	* gkr/seahorse-gkeyring-source.h: (moved to seahorse-gkr-source.h)
	* gkr/seahorse-gkr.c:
	* gkr/seahorse-gkr.h:
	* gkr/seahorse-gkr.vala: (removed)
	* gkr/seahorse-gkr-commands.c:
	* gkr/seahorse-gkr-commands.h:
	* gkr/seahorse-gkr-commands.vala:
	* gkr/seahorse-gkr-dialogs.h:
	* gkr/seahorse-gkr-item.c: (moved from seahorse-gkeyring-item.c)
	* gkr/seahorse-gkr-item.h: (moved from seahorse-gkeyring-item.h)
	* gkr/seahorse-gkr-item-properties.c: (moved from seahorse-gkeyring-item-properties.c)
	* gkr/seahorse-gkr-item-properties.glade: (moved from seahorse-gkeyring-item-properties.glade)
	* gkr/seahorse-gkr-module.c:
	* gkr/seahorse-gkr-operation.c: (moved from seahorse-gkeyring-operation.c)
	* gkr/seahorse-gkr-operation.h: (moved from seahorse-gkeyring-operation.h)
	* gkr/seahorse-gkr-source.c: (moved from seahorse-gkr-source.c)
	* gkr/seahorse-gkr-source.h: (moved from seahorse-gkr-source.h)
	Make all of gnome-keyring component in the same namespace, and remove vala usage.
	
2008-11-22  Stef Walter  <stef@memberwebs.com>

	* libcryptui/crui-asn1.c: (added)
	* libcryptui/crui-asn1.h: (added)
	* libcryptui/pk.asn: (added)
	* libcryptui/pkix.asn: (added)
	* libcryptui/tests/unit-test-asn1.c: (added)
	* configure.in: Add libtasn1 depdencency and ASN.1 parsing functionality
	to libcryptui.
	
	* libcryptui/crui-util.c: (added)
	* libcryptui/crui-util.h: (added)
	* libcryptui/crui-x509-cert.c: (added)
	* libcryptui/crui-x509-cert.h: (added)
	* libcryptui/crui-x509-simple.c: (added)
	* libcryptui/crui-x509-simple.h: (added)
	* libcryptui/tests/unit-test-util.c: (added)
	* libcryptui/tests/unit-test-x509-cert.c: (added)
	* libcryptui/tests/files/test-certificate-1.der: (added) Add interface 
	that represents a certificate, and a basic file loader.
	
	* libcryptui/crui-x509-cert-basics.c: (added)
	* libcryptui/crui-x509-cert-basics.h: (added)
	* libcryptui/crui-x509-cert-basics.glade: (added)
	* libcryptui/crui-x509-cert-basics.ui: (added)
	* libcryptui/crui-x509-cert-dialog.c: (added)
	* libcryptui/crui-x509-cert-dialog.h: (added)
	* libcryptui/tests/crui-show.c: (added) Add a basic UI display for a X509
	certificate.
	
	* libcryptui/gtest-helpers.c: (added)
	* libcryptui/gtest-helpers.h: (added)
	* libcryptui/gtest-prep.sh: (added)
	* libcryptui/Makefile.am: Add unit testing to libcryptui for new functionality.
	
	* libcryptui/tests/cryptui-test-keyset.c: (removed)
	* libcryptui/tests/cryptui-test-ui.c: 
	* libcryptui/Makefile.am: Reorganize old tests.
	
	* pkcs11/libseahorse-pkcs11-c.vapi: (added)
	* pkcs11/Makefile.am:
	* pkcs11/seahorse-pkcs11-certificate.c:
	* pkcs11/seahorse-pkcs11-certificate.h:
	* pkcs11/seahorse-pkcs11-certificate.vala: (removed)
	* pkcs11/seahorse-pkcs11-commands.c: (added)
	* pkcs11/seahorse-pkcs11-commands.h: (added)
	* pkcs11/seahorse-pkcs11-module.c:
	* pkcs11/seahorse-pkcs11-source.vala: Use the new X509 display for certificates
	in seahorse. Very simple beginnings. Rework SeahorsePkcs11Certificate. No longer
	written in vala.
	
2008-11-20  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-progress.c: Put progress dialog in upper left corner.
    Patch from Jeff Cai.  Fixes bug #561476
    * ssh/seahorse-ssh-source.c: Monitor ssh pub key files so key changes are
    monitored on Solaris.  Patch by Jeff Cai.  Fixes bug #561641

2008-11-18  Adam Schreiber  <sadam@clemson.edu>

    * pgp/seahorse-add-subkey.glade:
    * pgp/seahorse-pgp-generate.glade:
    * ssh/seahorse-ssh-generate.glade: Set page_size property of spin buttons to
    zero. non-zero values deprecated.
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.vala: Close select window when row activated.
    * pgp/seahorse-pgp-key-properties.c: Set transient on the main window 
    instead of the key properties window.  Fixes bug # 558234
    * ssh/seahorse-ssh-upload.glade: Indicate how to connect to port != 22.
    Fixes bug #489903

2008-11-15  Adam Schreiber  <sadam@clemson.edu>
    
    * pgp/seahorse-pgp-private-key-properties.glade:
    * pgp/seahorse-pgp-public-key-properties.glade: Remove frame shadow from 
    photoid frame.  Fixes bug #404785
    * gkr/seahorse-gkr-commands.c:
    * gkr/seahorse-gkr-commands.vala: Use ngettext. Fixes bug #554933

2008-11-14  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-util.c: Re-fix dialog.  Patch from Wouter Bolsterlee

2008-11-11  Adam Schrieber  <sadam@clemson.edu>

    * src/eggtreemultidnd.c: Update from svn.  Fixes bug #560338

2008-11-10  Adam Schreiber  <sadam@clemson.edu>

    * ssh/seahorse-ssh-key-properties.c: Fix spelling error
    * ssh/seahorse-ssh-askpass.c: Remove call to gtk_init.  Patch from Jeff Cai.
    Fixes bug #557537
    * ssh/seahorse-ssh-operation.c: Fix upload password prompt.  
    Fixes bug #550755
    * libseahorse/seahorse-util.c: Fix markup in dialog.
    Patch from Jeff Cai.  Fixes bug #558494

=== seahorse 2.25.1 ===
2008-11-04  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
	* NEWS:
	* README: Release version 2.25.1

2008-11-03  Adam Schreiber  <sadam@clemson.edu>

    * src/eggtreemultidnd.c:
    * src/eggtreemultidnd.h:
    * libegg/egg-datetime.h:
    * daemon/seahorse-service.h: Clean up GLib and GTK+ includes (GNOME Goal)

2008-10-29  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.vala:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.vala: Clean up errors in declaration of signal
    handlers.  Fixes bug #558406

=== seahorse 2.24.1 ===

2008-10-19  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS:
	* README: Release version 2.24.1

2008-10-18  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-pgp-key.c: PGP keys don't always have to come 
	from a PGP source. Should fix bug #553648

2008-10-18  Stef Walter  <stef@memberwebs.com>

	* configure.in: Add gthread to pkg-config requirements.
	Fixes bug 553235. Patch by Jeff Cai.

2008-10-18  Stef Walter  <stef@memberwebs.com>

	* libcryptui/cryptui-key-store.c: cryptui_key_store_set_selected_key 
	used wrong iter. Fixes bug #556187. Patch by Philip Withnall

2008-10-11  Adam Schreiber  <sadam@clemson.edu>

    * * gkr/seahorse-gkr-commands.c:
    * gkr/seahorse-gkr-commands.vala:
    * gkr/vala-build.stamp: Revert 2574
    * po/POTFILES.in: Add src/seahorse-viewer.c.
    * gkr/Makefile.am:
    * gkr/seahorse-gkr-commands.c:
    * gkr/seahorse-gkr-commands.vala:
    * gkr/vala-build.stamp: Use ngettext. Fixes bug #554933
    * po/POTFILES.skip: Remove src/seahorse-viewer.c.  Fixes bug #554937

2008-09-25  Adam Schreiber  <sadam@clemson.edu>

    * src/vala-build.stamp:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.vala: Fix crasher part of bug #553648

=== seahorse 2.24.0 ===

2008-09-20  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* configure.in:
	* README: Release version 2.24.0

2008-09-15  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-passphrase.c: Some tweaks to the password
	prompt window, including allowing minimizing to release the 
	keyboard grab.

2008-09-14  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-daemon.c:
	* daemon/seahorse-hkp-server.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-validity.c:
	* pgp/seahorse-gpg-options.c:
	* pgp/seahorse-gpgme-io.c:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-ssh-askpass.c: Fix compiler warnings
	for gcc 4.3. 
	
2008-09-14  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-key-manager-store.c: Disconnect from 'sort-changed'
	when closing down a key manager window. This prevents gconf
	notifications after window is gone away. See bug #546686
	
2008-09-14  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-widget.c: Ignore erroneous negative
	window sizes. 
	
2008-09-14  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-set-model.c:
	* pkcs11/seahorse-pkcs11-certificate.vala:
	* src/seahorse-key-manager-store.c: Fix problems with validity
	and trust columns being the wrong type in the tree model.
	
2008-09-14  Stef Walter  <stef@memberwebs.com>

	* src/main.c:
	* daemon/seahorse-daemon.c: Check result of gtk_init_with_args().
	Should fix bug #544352. Patch by Christian Persch.
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* libcryptui/cryptui.c: Request a minimum width for the 
	prompt dialog to prevent ellipsizing from collapsing 
	all text down to nothing.
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-service-crypto.c:
	* daemon/seahorse-service.h: Return a 'cancelled' error when
	from the daemon crypto dbus methods when a user cancels
	out of a password prompt. Fixes bug #520119
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-pgp-key-properties.c: Show revoked subkeys
	properly in details view of PGP keys. Fixes bug #550913
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-key-widget.c:
	* pgp/seahorse-pgp-key-properties.c: Fix reference problems
	when closing with a PGP properties window open.
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* ssh/seahorse-ssh-source.c: Fix problem deleting SSH
	keys. Fixes bug #551377
	
2008-09-13  Stef Walter  <stef@memberwebs.com>

	* libcryptui/cryptui-key-list.c: Fix column widths, and 
	elipsize long text in key listing. Fixes bug #551426
	Patch by Adam Schreiber.

2008-09-12  Joe Orton  <jorton@redhat.com>
 
 	* pkcs11/seahorse-pkcs11-module.c: Include gp11.h without
 	directory prefix.
 
 	* pkcs11/p11.vapi:
 	* pkcs11/gp11.vapi:
 	* pkcs11/seahorse-pkcs11-source.vala: Treat attribute types
 	as ulong not uint, to prevent truncation warnings from the compiler.
	
2008-09-12  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-pgp-keysets.c: Fix problem with 'no keys 
	available' when trying to sign a PGP key. Fixes bug #545626
	
2008-09-10  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkeyring-source.c:
	* libcryptui/cryptui.h:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/seahorse-key.h:
	* pgp/seahorse-pgp-key.c:
	* pkcs11/p11.vapi:
	* pkcs11/seahorse-pkcs11-certificate.vala:
	* pkcs11/seahorse-pkcs11-source.vala:
	* src/seahorse-viewer.c:
	* ssh/seahorse-ssh-key.c: Add 'exportable' flag to objects/keys
	and don't enable export UI if selected objects are not exportable.
	Fixes bug #551477
	
2008-09-09  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-transfer-operation.c: Fix crash/warning 
	when syncing with an ldap server that doesn't have our key.
	   
2008-09-08  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui-key-combo.c: Ellipsize too long UIDs
    Fixes bug #550281
    
    * pixmaps/scalable/Makefile.am: Remove remaining reference to 
    seahorse-applet.svg. Fixes bug #551379

    * pixmaps/22x22/seahorse-applet-key.svg (deleted):
    * pixmaps/22x22/seahorse-applet-encrypted.svg (deleted):
    * pixmaps/22x22/seahorse-applet-unknown.svg (deleted):
    * pixmaps/22x22/seahorse-applet-text.png (deleted):
    * pixmaps/22x22/seahorse-applet-text.svg (deleted):
    * pixmaps/22x22/seahorse-applet-signed.png (deleted):
    * pixmaps/22x22/seahorse-applet-signed.svg (deleted):
    * pixmaps/22x22/seahorse-applet-key.png (deleted):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-applet-encrypted.png (deleted):
    * pixmaps/22x22/seahorse-applet-unknown.png (deleted):
    * pixmaps/48x48/seahorse-applet.png (deleted):
    * pixmaps/48x48/seahorse-applet-signed.png (deleted):
    * pixmaps/48x48/seahorse-applet-text.png (deleted):
    * pixmaps/48x48/seahorse-applet-key.png (deleted):
    * pixmaps/48x48/Makefile.am:
    * pixmaps/48x48/seahorse-applet-encrypted.png (deleted):
    * pixmaps/48x48/seahorse-applet-unknown.png (deleted):
    * pixmaps/scalable/seahorse-applet-key.svg (deleted):
    * pixmaps/scalable/seahorse-applet-encrypted.svg (deleted):
    * pixmaps/scalable/seahorse-applet-unknown.svg (deleted):
    * pixmaps/scalable/seahorse-applet.svg (deleted):
    * pixmaps/scalable/seahorse-applet-signed.svg (deleted):
    * pixmaps/scalable/Makefile.am:
    * pixmaps/scalable/seahorse-applet-text.svg (deleted): Remove icons that 
    are now part of seahorse-plugins.  Fixes bug #550802



=== seahorse 2.23.92 ===

2008-09-07  Stef Walter  <stef@memberwebs.com>

	* README:
	* NEWS: Release version 2.23.92

2008-09-07  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkeyring-item-properties.c: Fix problem with 
	password saving happening before lower levels get the 
	focus-out event. Fixes bug #548320. 
	 
	* libseahorse/seahorse-secure-entry.c: Insignificant change 
	of return type for event handler. 
	
2008-09-07  Stef Walter  <stef@memberwebs.com>

	* libseahorse/libseahorse-c.vapi: Fix ownership problem 
	with seahorse_multi_operation_take().
	
	* src/seahorse-key-manager.vala: Fix dumb 'Couldn't import keys'
	error message when success. Fixes bug #544059
	
2008-09-07  Stef Walter  <stef@memberwebs.com>

	* libseahorse/libseahorse-c.vapi:
	* src/saehorse-preferences.h:
	* src/seahorse-viewer.c:
	* src/seahorse-viewer.h:
	* src/seahorse-viewer.vala: (removed)
	* src/Makefile.am: Write SeahorseViewer in C.
	
	* gkr/seahorse-gkr-commands.vala:
	* libseahorse/seahorse-commands.vala:
	* pgp/seahorse-pgp-commands.vala:
	* ssh/seahorse-ssh-commands.vala: Fine tune memory copies 
	of UI data.
	
2008-09-07  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-key.c: Fill in abstract methods properly
	on the SeahorseObject class. Fixes crash. 
	
2008-09-03  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== seahorse 2.23.91 ===

2008-09-03  Stef Walter  <stef@memberwebs.com>

	* README:
	* NEWS: 
	* pkcs11/Makefile.am: Release version 2.23.91

2008-09-01  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-viewer.c:
    * src/seahorse-viewer.vala:
    * src/vala-build.stamp: Fix some more logic.
    * src/seahorse-viewer.c:
    * src/seahorse-viewer.vala:
    * src/vala-build.stamp: Fix copying keys to clipboard.  Fixes bug #550279
    * src/seahorse.desktop.in.in: Remove encoding line.  Fixes bug #550169
    
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: 
	* src/seahorse-key-manager.vala: Fix double free. See bug #547918
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-pgp-key.c: Fix null pointer dereference. See bug #549603
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/gp11.vapi:
	* pkcs11/gp11-hacks.h: (added)
	* pkcs11/seahorse-pkcs11-certificate.vala: Bump vala dependency, and make 
	build work with latest vala again.
	
2008-08-28  Adam Schreiber  <sadam@clemson.edu>

    * ssh/seahorse-ssh-operation.c: Don't round up to the next highest power of 2
    bytes.  Fixes bug #549747.  Happy Birthday to me :)

2008-08-27  Adam Schreiber  <sadam@clemson.edu>

    * help/seahorse.omf.in: Change series id so that the manual shows up
    * help/C/seahorse.xml: Updated manual.
    * src/vala-build.stamp:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.vala: Don't repetedly load gnome-keyring items.
    Fixes bug #547682

2008-08-26  Adam Schreiber  <sadam@clemson.edu>
    * src/vala-build.stamp:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.vala:
    * src/seahorse-keyserver-results.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.vala:
    * src/seahorse-viewer.c:
    * src/seahorse-key-manager.h:
    * src/seahorse-viewer.h:
    * src/seahorse-generate-select.c:
    * gkr/vala-build.stamp:
    * gkr/seahorse-gkr-commands.c:
    * pgp/vala-build.stamp:
    * pgp/seahorse-pgp-generator.c:
    * pgp/seahorse-pgp-commands.c:
    * ssh/vala-build.stamp:
    * ssh/seahorse-ssh-commands.c:
    * ssh/seahorse-ssh-generator.c:
    * libseahorse/seahorse-generator.h:
    * libseahorse/seahorse-commands.c:
    * libseahorse/seahorse-object.c:
    * libseahorse/seahorse-commands.h:
    * libseahorse/seahorse-object.h:
    * libseahorse/seahorse-servers.c:
    * libseahorse/vala-build.stamp:
    * libseahorse/seahorse-view.c:
    * libseahorse/seahorse-view.h:
    * libseahorse/seahorse-generator.c: Add signal handler for help button on
    the first time options.  Fixes bug #549036
    * libseahorse/seahorse-validity.c:
    * pgp/seahorse-pgp-key-properties.c: Clear up ambiguity by adding contexts.
    Fixes bug #549460

2008-08-22  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui-key-chooser.c: Fix copy & paste error while installing
    properties.

2008-08-18  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== seahorse 2.23.90 ===

2008-08-18  Stef Walter  <stef@memberwebs.com>

	* README:
	* NEWS: Release version 2.23.90

2008-08-13  Adam Schreiber  <sadam@clemson.edu>

    * data/icons/hicolor_apps_16x16_seahorse.png (added):
    * data/icons/hicolor_apps_16x16_seahorse-preferences.png (added):
    * data/icons/hicolor_apps_22x22_seahorse.png (added):
    * data/icons/hicolor_apps_22x22_seahorse-preferences.png (added):
    * data/icons/hicolor_apps_24x24_seahorse.png (added):
    * data/icons/hicolor_apps_24x24_seahorse-preferences.png (added):
    * data/icons/hicolor_apps_32x32_seahorse.png (added):
    * data/icons/hicolor_apps_32x32_seahorse-preferences.png (added):
    * data/icons/hicolor_apps_48x48_seahorse.png (added):
    * data/icons/hicolor_apps_48x48_seahorse-preferences.png (added):
    * data/icons/Makefile.am (added):
    * data/icons/svg (added):
    * data/icons/svg/seahorse.svg (added):
    * data/icons/svg/seahorse-preferences.svg (added):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/48x48/Makefile.am:
    * pixmaps/scalable/Makefile.am:
    * src/seahorse-viewer.vala:
    * data/Makefile.am:
    * configure.in:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h: Icon makeover.  Patch from Michael 
    Monreal.  Fixes bug #520114

2008-08-03  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== seahorse 2.23.6 ===

2008-08-03  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS:
	* README: Release 2.23.6

2008-08-03  Stef Walter  <stef@memberwebs.com>

	* libseahorse/libseahorse-c.vapi:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-object.vala:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* pkcs11/p11.vapi:
	* pkcs11/gp11.vapi:
	* pkcs11/Makefile.am:
	* pkcs11/seahorse-pkcs11.c:
	* pkcs11/seahorse-pkcs11-certificate.vala: (added)
	* pkcs11/seahorse-pkcs11-source.vala: (added)
	* pkcs11/seahorse-pkcs11-module.c: 
	* src/Makefile.am:
	* src/main.c:
	* ssh/seahorse-ssh-source.c: 
	* configure.in: Add initial proof of concept for loading of 
	objects from PKCS#11. 

2008-07-30  Stef Walter  <stef@memberwebs.com>

	* common/seahorse-registry.c:
	* common/seahorse-registry.h:
	* daemon/seahorse-daemon.c:
	* gkr/seahorse-gkr-module.c:
	* gkr/seahorse-gkr-module.h:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-module.c:
	* pgp/seahorse-pgp-module.h:
	* pgp/seahorse-pgp-source.c:
	* pkcs11/seahorse-pkcs11-module.c:
	* pkcs11/seahorse-pkcs11-module.h:
	* src/main.c:
	* src/seahorse-keyserver-search.c:
	* ssh/seahorse-ssh-module.c:
	* ssh/seahorse-ssh-module.h:
	* ssh/seahorse-ssh-source.c: Simplify initialization of modules,
	and make modules add sources to context explicitly.
	
2008-07-30  Adam Schreiber  <sadam@clemson.edu>

    * ssh/seahorse-ssh-data.c: Fix usage of strncat.  Fixes bugs #523022 
    and 543601

2008-07-27  Stef Walter  <stef@memberwebs.com>

	* configure.in: Removing strange -O0 flag from eons 
	ago. Fixes bug #544305

2008-07-27  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-viewer.vala: Close the about dialog when 
	close button is clicked. Fixes bug #544350
	
2008-07-27  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkeyring-operation.c:
	* gkr/seahorse-gkeyring-source.c:
	* gkr/seahorse-gkr-commands.vala:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/seahorse-commands.vala:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-transfer-operation.c:
	* libseahorse/seahorse-unknown-source.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* pgp/Makefile.am:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-commands.vala:
	* pgp/seahorse-pgp-delete.c: (removed)
	* pgp/seahorse-pgp-dialogs.h:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-operation.c:
	* pgp/seahorse-pgp-source.c:
	* src/seahorse-viewer.vala:
	* ssh/seahorse-delete.c: (removed)
	* ssh/seahorse-ssh-commands.vala:
	* ssh/seahorse-ssh-operation.c:
	* ssh/seahorse-ssh-source.c: Refactor the delete code so it 
	returns proper operations and handles identities properly.
	
2008-07-27  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-progress.c: Fix reference counting
	problem on operations.
	
2008-07-26  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gp11.vapi:
	* pkcs11/Makefile.am:
	* pkcs11/p11.vapi: (added)
	* pkcs11/seahorse-pkcs11.vala:
	* bugs.vapi: Add functions for converting from a seahorse object
	id (quark) to a set of attributes that uniquely identifies a
	PKCS#11 object.
	
2008-07-26  Stef Walter  <stef@memberwebs.com>

	* ssh/seahorse-algo.c:
	* ssh/seahorse-algo.h:
	* ssh/seahorse-ssh-key-data.c: Use base64 encoding functions
	in GLib rather than including our own.
	
2008-07-23  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * ssh/Makefile.am: Include socket libraries.  Patch from Jeff Cai.
    Fixes bug #544267
    * libseahorse/seahorse-dns-sd.c: Fix empty struct.
    Patch from Jeff Cai.  Fixes bug #544266
    * libseahorse/seahorse-prefs.c: Fix undeclared variable.  
    Patch from Jeff Cai.  Fixes bug #544262

2008-07-22  Stef Walter  <stef@memberwebs.com>

	* pgp/seahorse-ldap-source.c: Don't use deprecated LDAP functions.
	Patch by Adam Schreiber. Fixes bug #514618
	
2008-07-22  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-progress.c: Don't add a multi-operation
	to itself. Fixes bug #510992
	
2008-07-21  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== seahorse 2.23.5 ===

2008-07-21  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS:
	* README: Release 2.23.5

2008-07-20  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-widget.c: Fix memory leak.

2008-07-20  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.glade:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-widget.c: Save and load window sizes from gconf.
    Fixes bug #510004

2008-07-19  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-service.c:
	* gkr/seahorse-gkeyring-source.c:
	* libseahorse/seahorse-source.c:
	* libseahorse/seahorse-source.h:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* pgp/seahorse-gpgmex-op.c:
	* pgp/seahorse-pgp-key-properties.c:
	* src/seahorse-key-manager-store.c:
	* ssh/seahorse-ssh-key-properties.c:
	* ssh/seahrose-ssh-operation.c:
	* ssh/seahorse-ssh-source.c:
	* ssh/seahorse-ssh-source.h: Remove the exporting of secret keys from 
	the SeahorseSource interface, and push this into the modules.
	
2008-07-18  Stef Walter  <stef@memberwebs.com>

	* gkr/seahorse-gkeyring-item.c:
	* gkr/seahorse-gkeyring-item.h:
	* gkr/seahorse-gkeyring-item-properties.c:
	* gkr/seahorse-gkr-commands.vala:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key.h:
	* libseahorse/seahorse-object.vala:
	* libseahorse/seahorse-set-model.c: (added)
	* libseahorse/seahorse-set-model.h: (added)
	* libseahorse/seahorse-types.vala:
	* libseahorse/seahorse-unknown-key.c:
	* libseahorse/seahorse-unknown-key.h:
	* libseahorse/seahorse-view.vala:
	* pgp/libseahorse-pgp-c.vapi:
	* pgp/Makefile.am:
	* pgp/seahorse-pgp-commands.vala:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-key-op.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-uid.c:
	* pgp/seahorse-pgp-uid.h:
	* src/seahorse-key-manager.vala:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-key-manager-store.h:
	* src/seahorse-keyserver-results.vala:
	* src/seahorse-viewer.vala:
	* ssh/seahorse-ssh-commands.vala:
	* ssh/seahorse-ssh-key.c:
	* ssh/seahorse-ssh-key.h: Add real GtkTreeModel for displaying 
	objects. And use real parent/child relationships for tree.

	* pgp/seahorse-pgp-source.c: Prevent refresh loop

2008-07-18  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Add AC_PROG checks.  Patch from Rodrigo Moya. Fixes
    bug #543602

2008-07-16  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-daemon.c:
	* daemon/seahorse-service.c:
	* daemon/seahorse-service.h:
	* daemon/seahorse-service-crypto.c:
	* daemon/seahorse-service-keyset.c:
	* gkr/libseahorse-gkr-c.vapi:
	* gkr/seahorse-gkeyring-item.c:
	* gkr/seahorse-gkeyring-item.h:
	* gkr/seahorse-gkeyring-item-properties.c:
	* gkr/seahorse-gkeyring-operation.c:
	* gkr/seahorse-gkeyring-source.c:
	* gkr/seahorse-gkeyring-source.h:
	* gkr/seahorse-gkr-commands.vala:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-combo-keys.c:
	* libseahorse/seahorse-combo-keys.h:
	* libseahorse/seahorse-commands.vala:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-dns-sd.c:
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key.h:
	* libseahorse/seahorse-keyset.c: (moved to seahorse-set.c)
	* libseahorse/seahorse-keyset.h: (moved to seahorse-set.h)
	* libseahorse/seahorse-key-source.c: (moved to seahorse-source.c)
	* libseahorse/seahorse-key-source.h: (moved to seahorse-source.h)
	* libseahorse/seahorse-notification.c:
	* libseahorse/seahorse-object.vala: (added)
	* libseahorse/seahorse-prefs-keyrings.c:
	* libseahorse/seahorse-set.c: (moved from seahorse-keyset.c)
	* libseahorse/seahorse-set.h: (moved from seahorse-keyset.h)
	* libseahorse/seahorse-source.c: (moved from seahorse-key-source.c)
	* libseahorse/seahorse-source.h: (moved from seahorse-key-source.h)
	* libseahorse/seahorse-transfer-operation.c:
	* libseahorse/seahorse-types.vala: (added)
	* libseahorse/seahorse-unknown-key.c:
	* libseahorse/seahorse-unknown-source.c:
	* libseahorse/seahorse-unknown-source.h:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* libseahorse/seahorse-view.vala:
	* pgp/libseahorse-pgp-c.vala:
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-pgp-commands.vala:
	* pgp/seahorse-pgp-delete.c:
	* pgp/seahorse-pgp-generator.vala:
	* pgp/seahorse-pgp-key.c:
	* pgp/seahorse-pgp-key.h:
	* pgp/seahorse-pgp-key-op.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-keysets.c:
	* pgp/seahorse-pgp-keysets.h:
	* pgp/seahorse-pgp-sign.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-pgp-source.h:
	* pgp/seahorse-server-source.c:
	* pgp/seahorse-server-source.h:
	* pgp/seahorse-signer.c:
	* src/main.c:
	* src/seahorse-key-manager.vala:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-key-manager-store.h:
	* src/seahorse-keyserver-results.vala:
	* src/seahorse-keyserver-search.c:
	* src/seahorse-keyserver-sync.c:
	* src/seahorse-viewer.vala:
	* ssh/libseahorse-ssh-c.vapi:
	* ssh/seahorse-delete.c:
	* ssh/seahorse-ssh-commands.vala:
	* ssh/seahorse-ssh-generator.vala:
	* ssh/seahorse-ssh-key.c:
	* ssh/seahorse-ssh-key.h:
	* ssh/seahorse-ssh-key-properties.c:
	* ssh/seahorse-ssh-operation.c:
	* ssh/seahorse-ssh-source.c:
	* ssh/seahorse-ssh-source.h:
	* ssh/seahorse-ssh-upload.c: Refactor and add SeahorseObject class
	as a base class of SeahorseKey, so that we can have non-key objects
	in the mix.
	
2008-07-16  Stef Walter  <stef@memberwebs.com>

	* pkcs11/*:
	* Makefile.am:
	* configure.in: Initial infrastructure for PKCS11 component.
	
	* gkr/seahorse-gkeyring-source.c:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-key-source.c:
	* libseahorse/seahorse-key-source.h:
	* libseahorse/seahorse-unknown-source.c:
	* pgp/seahorse-pgp-source.c:
	* pgp/seahorse-server-source.c:
	* ssh/seahorse-ssh-source.c: Remove unused stop() and get_state() 
	virtual methods of SeahorseKey
	
	* libseahorse/seahorse-prefs.c: Fix compiler warning
	
2008-07-16  Stef Walter  <stef@memberwebs.com>

	* acinclude.m4: Fix vala version check.
	
	* pgp/seahorse-pgp-source.c: Include appropriate header
	
2008-07-15  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-dbus-server.c:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-dns-sd.c:
	* pgp/seahorse-pgp-source.c:
	* src/main.c:
	* configure.in: Complete decoupling from GPGME. Seahorse
	should now be buildable without GPGME or GnuPG.
	
2008-07-15  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am:
	* daemon/seahorse-daemon.c:
	* daemon/seahorse-service.c:
	* gkr/seahorse-gkeyring-item.c:
	* gkr/seahorse-gkeyring-operation.h:
	* libseahorse/libseahorse-c.vapi:
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-keyserver-control.c:
	* libseahorse/seahorse-prefs.c:
	* libseahorse/seahorse-servers.vala: (added)
	* pgp/seahorse-hkp-source.c:
	* pgp/seahorse-ldap-source.c:
	* pgp/seahorse-server-source.c:
	* pgp/seahorse-server-source.h:
	* src/main.c:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-keyserver-search.c:
	* src/seahorse-keyserver-sync.c:
	* configure.in:
	* Makefile.am: Further decouple seahorse from PGP. Implement a place
	where modules can register server uri validation functions.
	
	* libseahorse/seahorse-dns-sd.c:
	* libseahorse/seahorse-util.c:
	* pgp/seahorse-pgp-key-properties.c:
	* pgp/seahorse-pgp-photos.c:
	* ssh/seahorse-ssh-key-properties.c: Fix compile warnings	
	 
2008-07-08  Stef Walter  <stef@memberwebs.com>

	* src/Makefile.am:
	* gkr/Makefile.am:
	* pgp/Makefile.am:
	* ssh/Makefile.am:
	* libseahorse/Makefile.am:
	* acinclude.m4: Make seahorse build more reliably on machines without 
	a version of vala.

2008-07-05  Adam Schreiber  <sadam@clemson.edu>
    
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h: Add function for consumers to launch seahorse when
    a key needs to be created.
    * libcryptui/cryptui-key-chooser.c: Fix warnings
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-key-chooser.c: Implement ToDo: replace signer drop down
    in chooser with check button when only one secret key
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-keyserver-sync.glade: Set Sync button insensitive when a
    server isn't selected.  Fixes bug #541579


2008-06-28  Stef Walter  <stef@memberwebs.com>

	* daemon/seahorse-daemon.c:
	* daemon/seahorse-sharing.c:
	* daemon/Makefile.am:
	* gkr/libseahorse-gkr-c.vapi: (added)
	* gkr/Makefile.am:
	* gkr/seahorse-gkeyring-item-properties.c:
	* gkr/seahorse-gkeyring-item-properties.glade: (moved from src/)
	* gkr/seahorse-gkeyring-item.h:
	* gkr/seahorse-gkr.vala: (added)
	* gkr/seahorse-gkr-commands.vala: (added)
	* gkr/seahorse-gkr-module.h: (moved from seahorse-gkr.h)
	* gkr/seahorse-gkr-module.c: (moved from seahorse-gkr.c)
	* libcryptui/cryptui.h:
	* libseahorse/libseahorse-c.deps: (added)
	* libseahorse/libseahorse-c.vapi: (added)
	* libseahorse/Makefile.am:
	* libseahorse/seahorse-commands.vala: (added)
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-context.c:
	* libseahorse/seahorse-generator.vala: (added)
	* libseahorse/seahorse-key-source.c:
	* libseahorse/seahorse-key-source.h:
	* libseahorse/seahorse-key.c:
	* libseahorse/seahorse-key.h:
	* libseahorse/seahorse-key-widget.h: (moved from src/)
	* libseahorse/seahorse-key-widget.c: (moved from src/)
	* libseahorse/seahorse-operation.c:
	* libseahorse/seahorse-operation.h:
	* libseahorse/seahorse-prefs-keyrings.c:
	* libseahorse/seahorse-prefs.c:
	* libseahorse/seahorse-progress.c:
	* libseahorse/seahorse-transfer-operation.c:
	* libseahorse/seahorse-unknown-source.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h:
	* libseahorse/seahorse-view.vala: (added):
	* libseahorse/seahorse-widget.c:
	* libseahorse/seahorse-widget.h:
	* pgp/libseahorse-pgp-c.vapi:
	* pgp/Makefile.am:
	* pgp/seahorse-add-subkey.glade: (moved from src/)
	* pgp/seahorse-add-uid.glade: (moved from src/)
	* pgp/seahorse-expires.glade: (moved from src/)
	* pgp/seahorse-pgp-add-subkey.c: (moved from src/)
	* pgp/seahorse-pgp-add-uid.c: (moved from src/)
	* pgp/seahorse-pgp-commands.vala: (added)
	* pgp/seahorse-pgp-delete.c: (moved from src/)
	* pgp/seahorse-pgp-dialogs.h: (added)
	* pgp/seahorse-pgp-expires.c: (moved from src/)
	* pgp/seahorse-pgp-generate.c: (moved from src/)
	* pgp/seahorse-pgp-generate.glade: (moved from src/)
	* pgp/seahorse-pgp-generator.vala: (added)
	* pgp/seahorse-pgp-key.h: 
	* pgp/seahorse-pgp-key-properties.c: (moved from src/)
	* pgp/seahorse-pgp-keysets.h:
	* pgp/seahorse-pgp-module.c: (moved from seahorse-pgp.c)
	* pgp/seahorse-pgp-module.h: (moved from seahorse-pgp.h)
	* pgp/seahorse-pgp-photos.c: (moved from src/)
	* pgp/seahorse-pgp-private-key-properties.glade: (moved from src/)
	* pgp/seahorse-pgp-public-key-properties.glade: (moved from src/)
	* pgp/seahorse-pgp-revoke.c: (moved from src/)
	* pgp/seahorse-pgp-sign.c: (moved from src/)
	* pgp/seahorse-pgp.vala: (added)
	* pgp/seahorse-revoke.glade: (moved from src/)
	* pgp/seahorse-signer.glade: 
	* pgp/seahorse-sign.glade: (moved from src/)
	* pgp/seahorse-xloadimage.c: (moved from src/)
	* src/Makefile.am:
	* src/main.c:
	* src/seahorse-generate-select.vala: (added)
	* src/seahorse-key-manager.ui:
	* src/seahorse-key-manager.vala: (added)
	* src/seahorse-keyserver-results.vala: (added)
	* src/seahorse-keyserver-search.c: 
	* src/seahorse-keyserver-sync.c:
	* src/seahorse-viewer.vala: (added)
	* src/seahorse-windows.h:
	* ssh/libseahorse-ssh-c.vapi: 
	* ssh/Makefile.am:
	* ssh/seahorse-delete.c: (added)
	* ssh/seahorse-ssh-commands.vala: (added)
	* ssh/seahorse-ssh-dialogs.h:
	* ssh/seahorse-ssh-generate.c: (moved from src/)
	* ssh/seahorse-ssh-generate.glade: (moved from src/)
	* ssh/seahorse-ssh-generator.vala: (added)
	* ssh/seahorse-ssh-key.h: 
	* ssh/seahorse-ssh-source.h:
	* ssh/seahorse-ssh.vala: (added)
	* ssh/seahorse-ssh-key-properties.c: (moved from src/)
	* ssh/seahorse-ssh-key-properties.glade: (moved from src/)
	* ssh/seahorse-ssh-module.c: (moved from seahorse-ssh.c)
	* ssh/seahorse-ssh-module.h: (moved from seahorse-ssh.h) 
		Major UI refactoring. Use vala for new code. Move PGP, 
		SSH, and gnome-keyring UI code into separate modules.
	  
2008-06-20  Christian Persch  <chpe@gnome.org>

	* libcryptui/cryptui-key-chooser.h:
	* libcryptui/cryptui-key-store.h:
	* libcryptui/cryptui-keyset.h:
	* libegg/egg-datetime.c: (egg_datetime_get_type):
	* libegg/egg-datetime.h:
	* libseahorse/seahorse-context.h:
	* libseahorse/seahorse-dns-sd.h:
	* libseahorse/seahorse-key-model.h:
	* libseahorse/seahorse-key.h:
	* libseahorse/seahorse-keyserver-control.h:
	* libseahorse/seahorse-keyset.h:
	* libseahorse/seahorse-widget.h:
	* src/seahorse-key-manager-store.h:
	* src/seahorse-key-manager.c: (seahorse_key_manager_show):
	* src/seahorse-key-widget.h: Replace deprecated gtk type macros with
	nondeprecated gtype ones. Bug #539287.

2008-06-16  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-prefs-keyrings.c:
	* libseahorse/seahorse-util.c:
	* libseahorse/seahorse-util.h: Make seahorse_util_show_error more 
	useful so that accepts any widget as a parent and figues out the 
	appropriate window to use.
	
	* src/seahorse-key-manager.c:
	* src/seahorse-key-manager-store.c:
	* src/seahorse-key-manager-store.h: Support XDS properly. 
	Fixes bug #507366
	
2008-06-04  Adam Schreiber  <sadam@clemson.edu>

    * ssh/seahorse-ssh-operation.c: Add header file not included on Solaris.
    Patch from Alexis Ballier.  Fixes bug #536213.

2008-05-21  Saleem Abdulrasool  <compnerd@compnerd.org>

	reviewed by: Adam Schreiber  <sadam@clemson.edu>

	* configure.in:
	* daemon/seahorse-hkp-server.c: (lookup_handle_index),
	(lookup_callback):
	* gkr/seahorse-gkeyring-item.c: (find_attribute_int),
	(is_network_item), (seahorse_gkeyring_item_get_attribute):
	* libseahorse/seahorse-context.c:
	(seahorse_context_remote_key_source):
	* libseahorse/seahorse-dns-sd.c: (resolve_callback),
	(browse_callback):
	* libseahorse/seahorse-unknown-key.c:
	(seahorse_unknown_key_get_property):
	* libseahorse/seahorse-util.c: (seahorse_util_get_date_string),
	(seahorse_util_get_display_date_string):
	* pgp/seahorse-gpgmex-util.c: (gpgmex_data_write_all):
	* pgp/seahorse-pgp-key-op.c: (photoid_load_transit):
	* src/seahorse-gkeyring-item-properties.c: (do_main):
		Fix compiling with -Werror and fix typo of -DG_DISABLE_DEPRECATED.

2008-05-17  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-passphrase.c: Grab keyboard focus
    Patch from Josselin Mouette.  Fixes bug #326611


2008-05-05  Saleem Abdulrasool  <compnerd@compnerd.org>

	reviewed by: Adam Schreiber  <sadam@clemson.edu>

	* configure.in:
	* libseahorse/seahorse-widget.c: (seahorse_widget_show_help):
		Remove gnome-vfs usage for seahorse in general.

2008-05-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-results.glade: Fix crash caused by libgnome removal.
    * src/seahorse-key-manager.c: Add window title to match desktop file.
    * src/seahorse-key-manager.glade:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c:
    * src/seahorse-delete.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-pgp-generate.glade:
    * src/seahorse-key-widget.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-preferences.c:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-photos.c:
    * src/main.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-expires.c:
    * src/seahorse-ssh-upload.c:
    * src/Makefile.am:
    * src/seahorse-key-properties.c:
    * src/seahorse-add-subkey.glade:
    * INSTALL:
    * gkr/seahorse-gkeyring-item.c:
    * gkr/seahorse-gkeyring-operation.c:
    * gkr/seahorse-gkeyring-source.c:
    * configure.in:
    * pgp/seahorse-signer.c:
    * pgp/seahorse-pgp-key-op.c:
    * pgp/seahorse-server-source.c:
    * pgp/seahorse-gpg-options.c:
    * pgp/seahorse-pgp-key.c:
    * pgp/seahorse-ldap-source.c:
    * pgp/seahorse-hkp-source.c:
    * pgp/Makefile.am:
    * pgp/seahorse-pgp-operation.c:
    * pgp/seahorse-pgp-source.c:
    * ssh/seahorse-ssh-operation.c:
    * ssh/seahorse-ssh-source.c:
    * ssh/seahorse-ssh-askpass.c:
    * ssh/seahorse-ssh-key.c:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-unix-signal.c:
    * libseahorse/seahorse-prefs-keyrings.c:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-validity.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-model.c:
    * daemon/seahorse-sharing.c:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-hkp-server.c:
    * Makefile.am:
    * libegg/: Added
    * libegg/Makefile.am: Added
    * libegg/egg-datetime.c: Added
    * libegg/egg-datetime.h: Added
    Remove dependency on libgnome/ui.  Patch from Saleem Abdulrasool. 
    Partially fixes bug #524018

2008-05-01  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/crypui-key-chooser.c: Remove returns in void functions.
    Patch from Brian Cameron.  Fixes bug #530950
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Change "trust model" used
    to match GPG.  Fixes bug #435278
    * pgp/seahorse-gpg-options.c: Add headers.
    Patch from Brian Cameron.  Fixes bug #530952

2008-04-28  Stef Walter  <stef@memberwebs.com>

	* Refactoring: Remove gnome-vfs dependency. Use gio instead. 
	Remove most of the hard dependency on gpgme.
	
	* Use the full 'Seahorse' namespace instead of 'Sea'
	
2008-04-20  Stef Walter  <stef@memberwebs.com>

	* Initial part of refactoring into components.
	
2008-04-17  Stef Walter  <stef@memberwebs.com>

    * Split out the seahorse-plugins module 
    
2008-04-17  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-extension.c:
    * plugins/epiphany/mozilla/mozilla-helper.cpp: Changes to work with new API.
    Patch from Ed Catmur.  Fixes bug #523325
    * libseahorse/seahorse-secure-memory.c: Test for secure memory before
    remapping memory functions.  Patch from Coleman Kane. Fixes bug #527193
    * plugins/nautilus/seahorse-pgp-preferences.c: Remove unused variable.
    * libseahorse/seahorse-hkp-source.c: Fix importing keys from hkp keyservers.
    Patch from Mackenzie Morgan.  Fixes bug #528150

2008-04-02  Adam Schreiber  <sadam@clemson.edu>

    * daemon/seahorse-service-crypto.c: Return key id of signer even when key
    is not found locally
    * configure.in: Bump version number

=== seahorse 2.23.0 ===

2008-03-10  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * agent/Makefile.am:
    * daemon/Makefile.am:
    * acinclude.m4: Remove code concerning mlock that is no longer used 
    now that secure memory is provided by gnome-keyring.  Fixes bug #520664

=== seahorse 2.22.0 ===

2008-02-24  Stef Walter  <stef@memberwebs.com>

    * configure.in:
    * NEWS:
    * README: Release version 2.22.0

=== seahorse 2.21.92 ===

2008-02-24  Stef Walter  <stef@memberwebs.com>

    * configure.in: 
    * NEWS:
    * README: Release version 2.21.92

2008-02-11  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml: Change menu strings for key generation.
    Fixes bug #503704
    * plugins/applet/docs/C/seahorse-applet.xml: Update applet manual. 
    Patch by Jasper Lievisse Adriaanse.  Fixes bug #507092

2008-02-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-gkeyring-item-properties.glade:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.glade:  Add comments for translators.
    Fixes bug #514276

2008-01-30  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Bump version number

=== seahorse 2.21.91 ===

2008-01-30  Adam Schreiber  <sadam@clemson.edu>

    * NEWS
    * README: Release version 2.21.91

2008-01-30  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * plugins/epiphany/seahorse-extension.c: Fix building with new Epiphany API.
    Fixes bug #512837

2008-01-29  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: more epiphany configure changes

2008-01-28  Stef Walter  <stef@memberwebs.com>

    * configure.in: Bump version number

=== seahorse 2.21.90 ===

2008-01-28  Stef Walter  <stef@memberwebs.com>

    * configure.in:
    * Makefile.am:
    * NEWS
    * README: Release version 2.21.90

2008-01-28  Stef Walter  <stef@memberwebs.com>
    
    * agent/seahorse-agent.desktop.in.in: (deleted)
    * po/POTFILES.in:
    * agent/Makefile.am: More cleanup for Adam's last revert below.
    
2008-01-28  Stef Walter  <stef@memberwebs.com>

	* agent/seahorse-agent-main.c:
	* agent/seahorse-agent.c:
	* agent/seahorse-agent.h: Remove option to munge gpg.conf on startup
	from seahorse-agent.
	
2008-01-28  Stef Walter  <stef@memberwebs.com>

    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs-cache.c: Remove option to start agent 
    from preferences dialog.  
    
2008-01-28  Stef Walter  <stef@memberwebs.com>

    * configure.in:
    * INSTALL:
    * daemon/seahorse-hkp-server.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c: Use libsoup 2.4. Patches by 
    Dan Winship. Fixes bug #509704

2008-01-25  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Add new epiphany api versions.  Fixes bug #511216
    * plugins/seahorse-pgp.gedit-plugin.desktop.in: Added an icon attribute so 
    that an icon shows up in Gedit's plugin listing.  Fixes bug #512001

2008-01-24  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent.desktop.in.in: deleted
    * po/POTFILES.skip:
    * configure.in:
    * agent/Makefile.am: Revert autostarting seahorse-agent with xdg. Requires
    evil gpg.conf munging.

2008-01-24  Luca Ferretti  <elle.uca@libero.it>

    * agent/seahorse-agent.desktop.in.in:
      Missing part from bug #511224. Forgot to add to svn, sorry.	

2008-01-23  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in.in: Revert patch from JP Rosevear.
      Reopens bug #503648

2008-01-22  Adam Schreiber  <sadam@clemson.edu>

    * po/POTFILES.in:
    * po/POTFILES.skip:
    * configure.in:
    * agent/Makefile.am: Autostart seahorse-agent with xdg.  Patch from 
    Luca Ferretti.  Fixes bug #511224


2008-01-20  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-util.c: Don't add an extra 'dot' to file names unless
    necessary.  Patch from Kip Warner.  Fixes bug #510928

2008-01-08  Wouter Bolsterlee  <wbolster@svn.gnome.org>

    * configure.in:

    Add gnome-vfs libs for the nautilus extension since
    they're not automatically pulled in with Nautilus
    anymore (Nautilus uses GIO now). The real fix would of
    course be to convert the code to GIO, but this
    workaround at least fixes the build for now. See also
    bug #501542.

2008-01-07  Adam Schreiber  <sadam@clemson.edu>

	* plugins/nautilus-ext/Makefile.am (nautilus_extensiondir): 
	* configure.in (NAUTILUS_LIBS): Fetch nautilus extension
	dir from libnautilus-extension.pc.  Patch from Brian Pepple.  
	Fixes bug #505990

2008-01-01  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c: Support all text targets that gtk supports.
    Patch from Christian Persch.  Fixes bug #504941

2007-12-17  Stef Walter  <stef@memberwebs.com>

    * configure.in: Bump version number

=== seahorse 2.21.4 ===

2007-12-17  Stef Walter  <stef@memberwebs.com>

    * README:
    * NEWS: Release version 2.21.4

2007-12-17  Stef Walter  <stef@memberwebs.com>

    * libseahorse/seahorse-prefs.glade: Reverse last terminology
    change, and use the word 'keyring' for consistency.

2007-12-14  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in.in: Use name field correctly.
    Patch from JP Rosevear.  Fixes bug #503648

2007-12-09  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-prefs.glade: Better terminology for 
	preferences dialog.
	
2007-12-09  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-gkeyring-item.c:
	* src/seahorse-gkeyring-item.h:
	* src/seahorse-gkeyring-item-properties.c:
	* src/seahorse-gkeyring-item-properties.glade:
	* src/seahorse-gkeyring-operation.c:
	* src/seahorse-gkeyring-operation.h:
	* src/seahorse-gkeyring-source.c: Add support for modifying gnome-keyring
	application ACLs.
	
2007-12-08  Stef Walter  <stef@memberwebs.com>

    * libseahorse/Makefile.am
    * libseahorse/seahorse-add-keyring.glade: (added)
    * libseahorse/seahorse-prefs-keyrings.c: (added)
    * libseahorse/seahorse-prefs.c: 
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * src/seahorse-gkeyring-source.c: Add gnome-keyring-manager functionality
    to seahorse.

2007-12-08  Stef Walter  <stef@memberwebs.com>

    * configure.in:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h: Remove usage of ssh-add and 
    related operations which are no longer needed.
	
2007-12-06  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-tool.c: Switched import to use DBus interface.
    Fixes bug #416458

2007-12-02  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs-cache.c: Adds UI to show/hide cache 
    icon.  Patch from Stef Walter.  Fixes bug #432891

2007-12-01  Stef Walter  <stef@memberwebs.com>

    * configure.in: Bump version number.

=== seahorse 2.21.3 ===

2007-12-01  Stef Walter  <stef@memberwebs.com>

    * NEWS:
    * README:
    * configure.in: Release version 2.21.3

2007-11-29  Stef Walter  <stef@memberwebs.com>

    * agent/Makefile.am:
    * agent/seahorse-agent.h:
    * agent/seahorse-agent-main.c:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent-status.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs-cache.c: Remove SSH agent, since a proper 
    one now exists in gnome-keyring. Fixes bug #413278

2007-11-15  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-gkeyring-operation.c: Some how this was missed too.
    * plugins/epiphany/Makefile.am: Forgot to check it in
    * configure.in: Don't hard code epiphany extensions dir.  Patch from
    Josselin Mouette.  Fixes bug #497163

2007-11-11  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Fix selective compilation of Epiphany and Gedit plugins
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-gkeyring-operation.c:
    * src/main.c:
    * src/Makefile.am:
    * INSTALL:
    * plugins/nautilus/seahorse-tool.c:
    * plugins/applet/seahorse-applet.c:
    * configure.in:
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent-main.c:
    * libseahorse/seahorse-secure-memory.c:
    * libseahorse/seahorse-secure-memory.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-prefs-cache.c:
    * daemon/seahorse-daemon.c: Use secure memory from gnome-keyring.  Patch
    from Stef Walter.  Fixes bug #435015

2007-11-09  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.desktop.in: Change 
    preferences applet name.  Patch by Luca Ferretti.  Fixes bug #484433

2007-10-31  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-revoke.c: Fix incomplete conversion from GtkOptionMenu 
    to GtkComboBox.  Fixes bug #475757

2007-10-30  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-keyserver-control.h: Clean up 
    keyserver-control.  Patch from Christian Persch.  
    Fixes bug #478454

2007-10-29  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse.schemas.in: Disabled automatic key uploading 
    retrieval by default.  Fixes bug #484159
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade: Add mnemonics and fix HIG 
    issues.  Patch from Christian Persch.  Fixes bug #478451
    * libseahorse/seahorse-progress.glade: Don't translate dummy text.
    Patch from Christian Persch.  Fixes bug #478462
    * src/seahorse-expires.glade: Fix capitalization and add mnemonic.
    Patch from Christian Persch.  Fixes bug #478474
    * src/seahorse-gkeyring-item-properties.glade: Bring into HIG
    compliance.  Patch from Christian Persch.  Fixes bug #478477

2007-10-15  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== seahorse-2.20.1 ===

2007-10-15  Stef Walter  <stef@memberwebs.com>

	* README:
	* NEWS: 
	* configure.in: Release version 2.20.1

2007-09-19  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-combo-keys.c: Fix pointer usage. Patch from 
    Michael Wolf
    * libseahorse/seahorse-ssh-operation.c: Fix assertions.  Patch from 
    Michael Wolf
    * plugins/nautilus/seahorse-tool-files.c: Fix selection of package 
    name. Patch from Michael Wolf
    * src/seahorse-pgp-generate.c: Fix error text.  Patch from Michael Wolf
    * configure.in: Fix Gedit compilation on 2.20. Patch from Gotz Waschk. 
    Fixes bug #478350
    * plugins/nautilus/seahorse-tool-progress.c: Fix compilation warning.

2007-09-19  Stef Walter  <stef@memberwebs.com>

	* configure.in: Release with proper version number 2.20.0

=== seahorse-2.20 ===

2007-09-17  Stef Walter  <stef@memberwebs.com>

	* README:
	* NEWS: 
	* configure.in: Release version 2.20 

2007-09-11  Claude Paroz  <claude@2xlibre.net>

	* plugins/applet/docs/Makefile.am: Added fr to DOC_LINGUAS.
	* plugins/applet/docs/fr/fr.po: Added French translation.

2007-09-06  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.c: Connect auto retreive check box to
    gconf.  Fixes bug #473940 

2007-09-04  Stef Walter  <stef@memberwebs.com>

	* src/seahorse-gkeyring-item.c: Fix problem when building without
	SSH support. 

2007-09-04  Alessio Frusciante  <algol@firenze.linux.it>

	* plugins/applet/docs/Makefile.am: Added "it" (Italian) to
	DOC_LINGUAS.  
	* plugins/applet/docs/it/it.po: Addded Italian
	translation by Milo Casagrande <milo_casagrande@yahoo.it>.

2007-08-26  Daniel Nylander <po@danielnylander.se>

	* plugins/applet/docs/sv/sv.po: Updated Swedish translation

2007-08-26  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number
	
=== seahorse-2.19.91 ===

2007-08-26  Stef Walter  <stef@memberwebs.com>

    * NEWS:
    * README: Release 2.19.91

2007-08-22  Stef Walter  <stef@memberwebs.com>

	* libseahorse/seahorse-prefs.glade: Remove needlessly translated strings.
	Patch by Claude Paroz. Fixes bug #469176

2007-08-21  Stef Walter  <stef@memberwebs.com>

    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c: Fix badly placed semi-colons which 
    shortcircuit if()s. Patch by  Dave Jones. Fixes bug #467485

2007-08-21  Stef Walter  <stef@memberwebs.com>

    * src/seahorse-gkeyring-item.c: Properly escape any markup characters in 
    a gnome-keyring item name. Fixes bug #453188

2007-08-21  Stef Walter  <stef@memberwebs.com>

    * src/seahorse-key-properties.c: Remove assertions in UI code that we 
    really don't guarantee. Fixes bug #453152

2007-08-20  Stef Walter  <stef@memberwebs.com>

    * libseahorse/seahorse-progress.glade: Progress operations now show up in 
    the task list properly. Fixes bug #445767

2007-08-20  Stef Walter  <stef@memberwebs.com>

    * data/seahorse.schemas.in: Hide agent try icon by default.
    Fixes bug #432891

2007-08-12  Stef Walter  <stef@memberwebs.com>

    * configure.in: Bump version

=== seahorse-2.19.90 ===

2007-08-12  Stef Walter  <stef@memberwebs.com>

    * configure.in:
    * NEWS:
    * README: Release 2.19.90

2007-08-12  Adam Schreiber  <sadam@clemson.edu>

    * MAINTAINERS: Changed format to match discussion on d-d-l

2007-07-16  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml: Add documentation for changing the password
    on the default gnome-keyring key ring.  Patch by Milo Casagrande.
    Fixes bug #453043

2007-07-10  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c: Add word wrapping to window that
    displays text.

2007-07-07  Stef Walter  <stef@memberwebs.com>

   * configure.in: Bump version number
   
=== seahorse-2.19.5 ===

2007-07-07  Stef Walter  <stef@memberwebs.com>

    * NEWS:
    * README:
    * configure.in: Release 2.19.5

2007-07-07  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-ssh.c: When only using the ssh portion of 
    seahorse-agent, still init the cache.  Patch from Ted Percival.
    Fixes bug #454469

2007-06-24  Daniel Nylander <po@danielnylander.se>

	* plugins/applet/docs/sv/sv.po: Added Swedish translation
	* plugins/applet/docs/sv/legal.xml: Updated translation
	* plugins/applet/docs/sv/seahorse-applet.xml: Updated translation
	* plugins/applet/docs/Makefile.am: Added sv to DOC_LINGUAS

2007-06-22  Stef Walter  <stef@memberwebs.com>

    * Use my real name in copyrights, and proper email address.
    This change touched most files in the project, in comments 
    and strings. 

2007-06-22  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-askpass.c: Internationalize properly.
    Patch from Gabor Kelemen.  Fixes bug #450087

2007-06-18  Stef Walter  <stef@memberwebs.com>

    * configure.in: Bump version number

=== seahorse-2.19.4 ===

2007-06-18  Stef Walter  <stef@memberwebs.com>

    * NEWS:
    * README:
    * configure.in: Release 2.19.4

2007-06-18  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade: Add ability to change gnome-keyring
    master password.  Fixes bug #356575 
    * daemon/seahorse-service.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c: Gives more detail for imported keys 
    when using the DBus interface.  Partially fixes bug #416458

2007-06-14  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-ssh-key-properties.c: Fix null access while creating window.
    Fixes bug #447450

2007-06-09  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-tool-progress.c: Unescape gnome-vfs strings
    before display.  Fixes bug #445769

2007-06-07  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Remove errant pidgin plugin checks.  Fixes bug #445323 
    * agent/seahorse-agent-main.c: Internationalize the notification area.
    Fixes bug #443920

2007-06-06  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * libseahorse/seahorse-gpg-options.c: Re-enable building with gpg-2.0.x.
    Fixes bug #444259

2007-06-04  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.c: There is not an applet tab. 

2007-05-23  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-generate-select.c:
    * src/seahorse-ssh-generate.c: Don't destroy swidgets until we're 
    finished with them.  Patch by Christian Persch.  Fixes bug #440778

2007-05-19  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent.1: Patch by Sebastian Dröge.  Fixes bug #438559
    * plugins/nautilus/seahorse-tool-files.c:
    * src/seahorse-multi-encrypt.glade: Add file-roller style extensions to
    seahorse-tool --encrypt.  Fixes bug #432573
    * agent/seahorse-agent-status.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.h:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * plugins/applet/seahorse-applet.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-tool-files.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.h:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-key-widget.h:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-photos.c:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-windows.h: Make dialogs transient. Fixes bug #408776
    * libseahorse/seahorse-pgp-key-op.h: Change value for Elgamal key type to 
    be synchoronized with gpg.  Fixes bug #439479

2007-05-15  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Bump epiphany api version.  Fixes bug #438563

2007-05-11  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Bump version number

2007-05-11  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * NEWS:
    * README: Seahorse version 2.19.2

2007-05-11  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from gnome-2-18 branch. (r1729 - r1771)

2007-05-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-main.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-add-keyserver.glade:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-secure-entry.c:
    * plugins/applet/seahorse-applet.c: 
    * src/seahorse-gkeyring-item-properties.glade:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Fix translatable 
   strings. Fixes bug #418979

2007-05-08  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/Makefile.am: Remove rule to install desktop files in 
    /usr/share/control-center-2.0/capplets/.  Fixes bug #436840

2007-05-06  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-combo-keys.c:
    * libseahorse/seahorse-combo-keys.h:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-prefs.c:
    * src/seahorse-sign.c: Move libseahorse/seahorse-default-key-control.* to
    libseahorse/seahorse-combo-keys.*
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: 
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-properties.c: Fix problem with internationalized
    expiration dates on PGP keys.  Fixes bug #393207

2007-05-05  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml: Fix spelling error

2007-05-04  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-widget.c: Change gnome_help_display function 
    called.  Fixes bug #415807

2007-05-03  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-revoke.glade:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-subkey.glade: Remove use of GtkOptionMenu in favor
    of GtkComboBox.  Fixes bug #370817


2007-05-01  Adam Schreiber  <sadam@clemson.edu>

    * acinclude.m4: Add stdio.h to mlock check.  Fixes bug #435016
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-person.png (added):
    * pixmaps/22x22/seahorse-person.svg (added):
    * pixmaps/22x22/seahorse-sign.png (added):
    * pixmaps/22x22/seahorse-sign.svg (added): Add files causing warning
    messages.  Fixes bug #435051

2007-04-26  Adam Schreiber  <sadam@clemson.edu>

    * MAINTAINERS: Added myself as a co-maintainer

2007-04-24  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-operation.c: Escaping already provides 
    single quotes to comment string
    * src/seahorse-ssh-generate.c: Choose 1024 bits when DSA is selected.
    Fixes bug #419227

2007-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: Provide a better 'decrypt
    failed' error message. Fixes bug #355062

2007-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: 
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.glade: Add option to disable 
    auto-retrieval from key servers. See bug #366798

2007-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from gnome-2-18 branch. (r1654 - r1729)

2007-04-15  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/seahorse-extension.c: Fix problem with context
    menu items always appearing.

2007-04-13  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/seahorse.xml: Recognize encrypted private
    keys properly. Fixes bug #429509

2007-04-07  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am: Set proper binary as setuid. 
    Fixes bug #427586

2007-04-07  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Bump version number

2007-04-07  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * NEWS:
    * README: Seahorse version 1.0.1

2007-04-07  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key-data.c: 
    * libseahorse/seahorse-util.c:
    * plugins/nautilus/seahorse.xml: Enable importing of plain SSH
    keys, generated elsewhere. Fixes bug #424473

2007-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-widget.c: Make 'Keyserver Results' window help
    work properly. Patch from Adam Schreiber. Fixes bug #421615

2007-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-source.c: Make progress bar pulse 
    properly during an LDAP search. Fixes bug #355850

2007-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-source.c: 
    * src/seahorse-keyserver-results.c: Handle spaces properly in LDAP 
    search filters. 

2007-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key-data.c: Don't add extra lines to 
    .ssh/authorized_keys when moving keys around. Fixes bug #352929

2007-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c: Fix crasher when deleting more than one 
    private keys. Fixes bug #417901

2007-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-private-key-properties.glade: Show expired date properly
    in warning message for private keys.

2007-03-27  Adam Schreiber <sadam@clemson.edu>

    * src/seahorse-key-manager.c: Fix il8n of the about dialog.
    Patch from Bjoern Voigt.  Fixes bug #423082

2007-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: 
    * INSTALL: Require GTK+ version 2.10

2007-03-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/seahorse-ssh-upload.c: Recognize port properly in SSH key upload 
    Fixes bug #418205

2007-03-19  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-server-source.c: 
    * libseahorse/seahorse-ssh-key-data.c: (possible crasher)
    * libseahorse/seahorse-util.c: (minor capitalization bug)
    * src/seahorse-ssh-upload.c: Satisfy compiler warnings.

2007-03-19  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c: 
    * libseahorse/seahorse-passphrase.c: Setup icons for passphrase 
    prompts.

2007-03-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gtkstock.c: Setup a default icon for processes.
    Fixes bug #419264

2007-03-17  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-widget.c: Link swidget error dialogs to their 
    parent
    * configure.in: Allow building the Epiphany plugin with Epiphany 2.18.
    Fixes #417806

2007-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * acinclude.m4: Fixed mlock checks. Fixes bug #417757 and 
    bug #417758

2007-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-io.c: Use /tmp directory for agent sockets

2007-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Bump version number

=== seahorse-1.0 ===
=== seahorse-1.0 ===

2007-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * src/seahorse-gpg-options.c: Disable building with GPG2
    * configure.in:
    * NEWS: 
    * README: Version 1.0

2007-03-11  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager.c: Fix crash with empty clipboard paste.
    Fixes 417207.
    
2007-03-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h: Fix problem where processes launched from 
    seahorse-agent didn't get proper environment. Fixes bug #415808

2007-03-06  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in.in: Remove Application from categories and
    make sure we are providing valid desktop files.  (GNOME Goal)

2007-03-02  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c: Fix localization.
    Patches from Nickolay V. Shmyrev.  Fixes bug #408774 #414078

2007-02-26  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/Makefile.am: Fixes building on multiple cores.
    Patch from Gilles Dartiguelongue.  Fixes bug #411834

=== seahorse-0.9.92 ===

2007-02-24  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: Version 0.9.92

2007-02-20  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-delete.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-key-manager.c:
    * plugins/nautilus/seahorse-tool.c: Fix ngettext usage.  Patch from 
    Nickolay V. Shmyrev.  Fixes bug #408786


2007-02-20  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-actions.c: Fix crash when using GPG2
    Patch from Sebastian Dröge. Fixes bug #410193

2007-02-18  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-delete.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-expires.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-keyserver-sync.c:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/Makefile.am:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-validity.c: Fix various localization problems. 
    Patches from Nickolay V. Shmyrev.  Fixes bug #408774


2007-02-15  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-ssh-upload.glade: Add translatable property to label.
    Fixes bug #408335

2007-02-13  Nate Nielsen  <nielsen@memberwebs.com>

   * libseahorse/seahorse-gpg-options.c: Fix crash when changing gpg.conf
   options. Patch by Saleem Abdulrasool. Fixes bug #406337

2007-02-13  Nate Nielsen  <nielsen@memberwebs.com>

   * libseahorse/seahorse-passphrase.c: Add missing parentheses.
   Patch by Saleem Abdulrasool

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

   * configure.in: Bump version number

=== seahorse-0.9.91 ===

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * NEWS:
    * README: Version 0.9.91

2007-02-09  Adam Schreiber  <sadam@clemson.edu>
    
    * src/seahorse-gkeyring-source.c:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-gkeyring-operation.c:
    * NEWS:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-ssh-source.h: Change usage of "keyring" to 
    "key ring" for user visible messages not refering to gnome-keyring.


2007-02-08  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent.h:
    * libseahorse/seahorse-gpg-options.c: Fixes for agent interoperability
    with GPG2. Patch from Alon Bar-Lev. Fixes bug #375062

2007-02-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-sync.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-ldap-source.c: Fix typo and separate 
    user visible "keyserver" into two words.  Change additional uses of 
    "syncing". Fixes bug #404386

2007-01-31  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml:
    * src/seahorse-key-manager.c: Remove repetitive use of key in menu.
    Fixes bug #396080 
    * help/C/seahorse.xml: Fix typo. Fixes bug #402856
    * src/seahorse-sign.c:
    * src/seahorse-pgp-generate.glade:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-sign.glade:
    * src/seahorse-key-manager.c:
    * plugins/nautilus/seahorse-tool.c:
    * agent/seahorse-agent-main.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-signer.glade:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-prefs.glade:
    * daemon/seahorse-daemon.c: Fix various string errors. 
    Fixes bug #391666
    * help/C/seahorse.xml:
    * plugins/applet/docs/C/seahorse-applet.xml: Fix build due to 
    gnome-doc-utils change.  Patch from Joseph Sacco. Fixes bug #402921

2007-01-27  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c: Fix crasher during symmetric encryption
    Fixes bug #396009
 
2007-01-25  Nate Nielsen  <nielsen@memberwebs.com>

	* libseahorse/seahorse-add-keyserver.glade:
	* libseahorse/seahorse-secure-entry.c:
	* src/seahorse-add-uid.glade:
	* src/seahorse-change-passphrase.glade:
	* src/seahorse-gkeyring-item-properties.glade:
	* src/seahorse-key-manager.glade:
	* src/seahorse-keyserver-search.glade:
	* src/seahorse-multi-encrypt.glade:
	* src/seahorse-pgp-generate.glade:
	* src/seahorse-revoke.glade:
	* src/seahorse-ssh-generate.glade:
	* src/seahorse-ssh-key-properties.glade:
	* src/seahorse-ssh-upload.glade: Get invisible character from 
	GtkEntry, remove hard coded invisible char in glade. 
	Patch by Vitaliy Ischenko. Fixes bug #393218

2007-01-11  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-gkeyring-item-properties.c: Fix showing passwords.
    Patch by Sertaç Ö. Yıldız.  Fixes bug #393366

=== seahorse-0.9.10 ===

2007-01-04  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: 
    * README: Version 0.9.10
    * configure.in: Bump version number

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-operation.c:
    * src/seahorse-gkeyring-source.c: Fix assertion when no keyring exists.
    Fixes bug #391699

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * libseahorse/seahorse-gtkstock.c:
    * pixmaps/Makefile.am:
    * pixmaps/scaleable: (moved from)
    * pixmaps/scalable: (moved to)
    * pixmaps/scalable/Makefile.am: Move 'scaleable' pixmaps directory 
    to 'scalable'. Fixes bug #391700
	
2006-12-30  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Add check for remote key.
    Fixes bug #363350

2006-12-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c: Fix idle callback that was 
    repeatedly loading keys. Fixes bug #387402

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Add strikethrough for expired, 
    revoked, disabled keys. Patch by Adam Schreiber. Fixes bug #357323
    
2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * libseahorse/Makefile.am:
    * libseahorse/eggtrayicon.c (removed):
    * libseahorse/eggtrayicon.h (removed): Use GtkStatusIcon from 
    GTK 2.10. Patch by chpe. Fixes bug #349286

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-tool.c: Use GOption for parsing command 
    line arguments. Fixes bug #336146
    * configure.in:
    * INSTALL: Update libgnome dependency for seahorse

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-unix-signal.c:
    * libseahorse/seahorse-unix-signal.h: Stop copious polling in the background 
    Fixes bug #354432

2006-12-21  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-keyset.c: Fix problem with not refreshing after
    deleting or adding keys. Fixes bug #388318
    * libseahorse/seahorse-key.c: Null check

2006-12-19  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * po/LINGUAS(added): GNOME PO LINGUAS goal. Fixes #338730

=== seahorse-0.9.9 ===

2006-12-19  Nate Nielsen  <nielsen@memberwebs.com>

    * README:
    * NEWS:
    * plugins/applet/docs/Makefile.am: Version 0.9.9
    * configure.in: Update version number
  
2006-12-18  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-pgp-private-key-properties.glade:
    *  src/seahorse-ssh-generate.glade: Make labels translatable.
    Patch from milo_casagrande@yahoo.it. Fixes #387293
    
2006-12-14  Nate Nielsen  <nielsen@memberwebs.com>

	* libcryptui/cryptui-key-store.c: Fix crasher when filtering keys
	Fixes bug #376729
	
2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c: Update status icon when agent 
    is first loaded.

2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-main.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Fix reading of gconf keys for daemons
    after forking. See bug #384781

2006-12-11  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * data/seahorse.schemas.in: Add ability to hide tray icon for cached
    secrets. Fixes bug #324674

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-unknown-source.c: Fix crasher in the agent 
    when listing a 'transient' key in the cache.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c: Fix ssh agent hang when used as a simple
    daemon (swap sockets proxy). Better warnings when incoming data is 
    invalid. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Properly start seahorse-agent
    from preferences, now that it's a different binary.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c:
    * libseahorse/seahorse-secure-memory.c: Fix problems with secure entry
    sometimes corrupting non paged memory blocks. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent.c:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Change 'use-agent' gpg.conf setting
    from the preferences rather than the agent itself.

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent-main.c:
    * agent/seahorse-agent.1:
    * agent/seahorse-agent.h: Add agent option to allow requests to 
    come from any display. 

2006-12-10  Nate Nielsen  <nielsen@memberwebs.com>

	* agent/Makefile.am:
	* agent/seahorse-agent-main.c (added):
	* agent/seahorse-agent.1 (added):
	* daemon/Makefile.am:
	* daemon/seahorse-daemon.1:
	* daemon/seahorse-daemon.c: Split apart seahorse-agent and 
	seahorse-daemon into different processes similar to described on 
	the mailing list.

2006-12-09  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in:
    * plugins/nautilus/Makefile.am: Fix problem with ignoring 
    --datarootdir. Patch from Christopher Taylor. Fixes #354245.
    * plugins/applet/seahorse-applet.c: Fix compile warning.

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c: Fix critical warnings when closing 
    window or deleting a key. Fixes #358697, #362711

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-context.c: Fix bad arguments to 
    g_idle_add_full

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-add-subkey.c:
    * libseahorse/seahorse-pgp-key-op.c: Fix Add subkey dialog.

2006-12-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-add-subkey.c:
    * libseahorse/seahorse-pgp-key-op.c: Fix Add subkey dialog.
    Fixes #382330

=== seahorse-0.9.8 ===

2006-12-03  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: 
    * plugins/applet/docs/Makefile.am: Version 0.9.8
    * configure.in: Bump version number

2006-11-28  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-sync.c: Remove unnecessary warning when 
    built without LDAP support. Fixes #374257

2006-11-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c: Add option to seahorse-daemon to exec
    another process once it forks. This allows chaining into startup.

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c: Other initialization fixes.
    * daemon/seahorse-daemon.c: Quit properly when we get a signal 
    during initialization. 

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c: Make SSH proxy print out environment 
    variables when requested. 

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c:
    * src/seahorse-pgp-generate.c: Make new key passphrase prompts 
    be consistent. Fixes #377938

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-ssh-generate.glade: Hook up help button. Patch by
    milo_casagrande@yahoo.it. Fixes #376098
    
2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * AUTHORS:
    * help/C/seahorse.xml: 
    * src/seahorse-key-manager.c: Update to the user manual by 
    milo_casagrande@yahoo.it. Fixes #376098
    
2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-generate.glade: Make PGP generate dialog 
    be consistent with SSH one. Fixes #376707

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-delete.c: Don't prompt when deleting each key when 
    deleting public keys. Fixes bug #

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-gkeyring-item.c:
    * src/seahorse-key-manager.c: Show valid keys on the trusted tab. 
    Also fix usage of SKEY_FLAG_IS_VALID. Fixes bug #369536

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-results.glade: Change default window size
    * libseahorse/seahorse-progress.c: Show progress in keyserver search
    * libseahorse/seahorse-hkp-source.c: 
    * src/seahorse-keyserver-results.c: Fix problem with 'No matching keys
    found' when syncing. Fixes #369616

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * plugins/applet/seahorse-applet.c:
    * plugins/epiphany/seahorse-extension.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-tool.c: Show UIDs in the recipient
    selection dialog. Fixes bug #371636

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-memory.c: Secure memory reallocation
    fixes. Fixes bug #371666

2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Describe part of key being
    exported in UI strings. Fixes bug #372099
    
2006-11-09  Nate Nielsen  <nielsen@memberwebs.com>

    * acinclude.m4:
    * configure.in:
    * Makefile.am: Don't set seahorse-daemon setuid when not needed 
    to run mlock().

2006-11-06  Adam Schreiber  <sadam@clemson.edu>

    * help/ChangeLog: Added file for translation changes
    for the manual 
    * help/it: Added translation files (see the above file)

=== seahorse-0.9.7 ===

2006-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: Version 0.9.7
    * configure.in: Bump version number

2006-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c: Change 'password' to 'passphrase'
    Fixes bug #369874

2006-11-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-source.c:
    * plugins/applet/seahorse-applet.c:
    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-gkeyring-operation.c:
    * src/seahorse-gkeyring-source.c:
    * src/seahorse-key-properties.c
    * src/seahorse-key-manager.c: Cleanup the key loading and searching code.
    Don't unnecessary remove keys from context. Fixes bug #363282

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

	* src/seahorse-ssh-upload.glade: Remove wrapped text since we 
	do our own wrapping. 
	* src/seahorse-ssh-upload.c: Image no longer present.

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-source.c: Stop using some deprecated
    functions. Fixes #351969

2006-11-01  Nate Nielsen  <nielsen@memberwebs.com>

    * help/C/seahorse.xml:
    * src/seahorse-key-manager.c: Change 'Backup' to 'Back up'
    Fixes #368748

2006-10-31  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-item-properties.c:
    * src/seahorse-gkeyring-item.c:
    * src/seahorse-gkeyring-source.c: Don't retrieve secrets from 
    gnome-keyring unless necessary. This prevents the cascade of prompts.
    Only works with CVS builds of gnome-keyring (0.7.0+)

2006-10-29  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/Makefile.am: Install to lib/seahorse instead 
    of libexec. Patch from José Carlos García Sogo. Fixes #366749

2006-10-26  Adam Schreiber  <sadam@clemson.edu>

    * INSTALL: Update optional dependencies.

2006-10-26  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * Makefile.am:
    * NEWS:
    * README: Version 0.9.6 and distcheck fixes
    * configure.in: Increment version number

2006-10-26  Nate Nielsen  <nielsen@memberwebs.com>

	* plugins/nautilus-ext/seahorse-nautilus.c: Don't show seahorse
	context menu items on desktop items like computer or trash.
	Patch by Gilles Dartiguelongue
	* data/seahorse.schemas.in: Change default for nautilus plugin 
	NOT to ascii armor the files it encrypts.

2006-10-24  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * plugins/epiphany/Makefile.am: Changed installation directory 
    to something make distcheck could handle.

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* data/seahorse.schemas.in: Revert default to TRUE for key sharing. 
	See #355378

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* libseahorse/seahorse-ssh-source.c: Fix crasher when generating SSH key.
	Fixes #364081

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>
	
	* configure.in: Configure properly when libnautilus-extension is not found.

2006-10-23  Nate Nielsen  <nielsen@memberwebs.com>

	* plugins/applet/seahorse-applet.c: Fix assertion when clipboard contains
	plain text. Fixes #361897 

2006-10-05  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/seahorse-extension.c:
    * plugins/epiphany/mozilla/mozilla-helper.cpp: Fixed #356794

2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: 
    * src/seahorse-key-manager-store.c: Fix problem with displaying 
    duplicated UIDs on a PGP key after looking at key's properties.
    Fixes #355380

2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-operation.c:
    * src/seahorse-pgp-source.c: Display error when keys to import are 
    created in the future. Fixes #356302
    
2006-09-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-set.c: Don't barf when the daemon sends us 
    'added' or 'changed' signals out of order. 
    * libseahorse/seahorse-secure-memory.c: Don't try to use secure memory
    when allocating secure memory failed.
    * libseahorse/seahorse-pgp-key-op.c: When changing password and password 
    is entered wrong X number of times, then cancel operation.
    
2006-09-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-generate.glade:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-ssh-upload.glade: Apply usability suggestions to 
    SSH dialogs from usability@gnome.org
     
2006-09-23 Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-source.c: Fixed setting of 
    error condition on success. Fixes #357315
    * src/seahorse-ssh-key-properties.glade:Fixed name for
    algo-label. Fixes #357316
    * libseahorse/seahorse-vfs-data.c: Changed permissions
    on created data. Fixes #357317

2006-09-20  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/seahorse-extension.c: Fix segfault with context 
    menu on non-input callbacks.
    * plugins/applet/seahorse-applet.c: Fix decrypt error message. 
    * plugins/epiphany/seahorse-extension.c: Added decrypting and 
    verifying text and importing keys from a text field. Fixes #356447
    * plugins/applet/seahorse-applet.c:
    * plugins/epiphany/seahorse.ephy-extension.in.in:
    * src/seahorse-key-manager.c: Change to new website.

2006-09-19  Adam Schreiber  <sadam@clemson.edu>

    * plugins/epiphany/Makefile.am:
    * plugins/epiphany/seahorse-extension.c:
    * plugins/epiphany/mozilla/Makefile.am:
    * plugins/epiphany/mozilla/mozilla-helper.cpp:
    * plugins/epiphany/mozilla/mozilla-helper.h: Add signing of text 
    fields.

2006-09-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-gkeyring-source.c: Fix assertion when gnome-keyring
    doesn't have a default keyring. Fixes #356550
    
2006-09-18  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Fix building without epiphany plugin dependencies.
    Fixes 356584
    * agent/seahorse-agent-ssh.c: Fix crasher on AMD64 systems
    Fixes 356528.  Patch by Gustavo Carneiro.

2006-09-17  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Fix errors with build epiphany plugin on
    versions of GNOME newer than 2.14.0
    * plugins/epiphany/Makefile.am: Remove comment preventing 
    proper building for some users.
    * configure.in:
    * libcryptui/cryptui.h:
    * m4/epiphany.m4(added):
    * m4/gecko.m4(added):
    * plugins/Makefile.am:
    * plugins/epiphany(added):
    * plugins/epiphany/Makefile.am(added):
    * plugins/epiphany/eel-gconf-extensions.h(added):
    * plugins/epiphany/ephy-debug.h(added):
    * plugins/epiphany/seahorse-extension.c(added):
    * plugins/epiphany/seahorse-extension.h(added):
    * plugins/epiphany/seahorse.c(added):
    * plugins/epiphany/seahorse.ephy-extension.in.in(added):
    * plugins/epiphany/mozilla/Makefile.am(added):
    * plugins/epiphany/mozilla/mozilla-helper.cpp(added):
    * plugins/epiphany/mozilla/mozilla-helper.h(added):
    Initial commit of Epiphany plugin.  Allows encryption of text fields.
    #355386.  Epiphany extension code by Jean-François Rameau(jfr). 


2006-09-16  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in 
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * src/Makefile.am:
    * src/seahorse-gkeyring-item-properties.c (added):
    * src/seahorse-gkeyring-item-properties.glade (added):
    * src/seahorse-gkeyring-item.c (added):
    * src/seahorse-gkeyring-item.h (added):
    * src/seahorse-gkeyring-operation.c (added):
    * src/seahorse-gkeyring-operation.h (added):
    * src/seahorse-gkeyring-source.c (added):
    * src/seahorse-gkeyring-source.h (added):
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse.desktop.in.in:
    Add support for managing GNOME keyring. Fixes #356058
    * libseahorse/seahorse-secure-entry.c:
    * libseahorse/seahorse-secure-entry.h:
    * libseahorse/seahorse-secure-memory.c:
    * libseahorse/seahorse-secure-memory.h: Secure memory and entry enhancements.
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-progress.c: Better tracking of progress on status bar
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-pgp-source.c: Additional stability checks
    
2006-09-16  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Change trust labels as 
    suggested by MPT on usability list.
    
2006-09-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-util.c:
    * plugins/nautilus/seahorse-tool.c: Fixed crasher when signing using 
    seahorse-tool. Fixes #355723
    
2006-09-14  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse/schemas.in: Enabled key sharing by default.
    Fixes #355378

2006-09-13  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-prefs-cache.c: Don't overwrite ttl value 
    before reading it out properly. Fixes #355833
    
2006-09-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.glade: Use GtkStatusbar instead of 
    GnomeAppbar
    * src/seahorse-keyserver-results.glade: Use better labels, suggested
    by usability review.
    * src/seahorse-generate-select.glade: Fix conflicting mnemonics.
    * src/seahorse-pgp-private-key-properties.glade: Simplify tab heading
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Change SSH to Secure Shell as suggested by 
    Alan Horkan.
    
2006-09-12  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * src/Makefile.am: distcheck fix for new desktop.in.in files
    * NEWS:
    * README: Version 0.9.5
    * configure.in: Update version number

2006-09-11  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Allow building with gedit 2.16. Patch from Sebastian Dröge
    Fixes #355420

2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Add new line at the end of exported 
    SSH public keys.
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/tests/Makefile.am: Add define so tests build
    Patch from Joseph Sacco. Fixes #355305
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL: Updated dependency list
    
2006-09-10  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h
    * plugins/nautilus/seahorse-tool-files.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Fix operation / export / syncing problems.
    Removed some of the more dubious logic (such as async 'done' callbacks).
    Made the seahorse_util_wait_until more robust. Don't open an insane
    amount of parallel connections to remote servers. Proper calculations 
    of progress in SeahorseTransferOperation.
    
2006-09-10  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/Makefile.am: Require define to acknowledge instability
    of libcryptui API.

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/Makefile.am:
    * src/seahorse-pgp-encrypted.desktop.in (removed):
    * src/seahorse-pgp-encrypted.desktop.in.in (added):
    * src/seahorse-pgp-keys.desktop.in (removed):
    * src/seahorse-pgp-keys.desktop.in.in (added):
    * src/seahorse-pgp-signature.desktop.in (removed):
    * src/seahorse-pgp-signature.desktop.in.in (added):
    * src/seahorse.desktop.in (removed):
    * src/seahorse.desktop.in.in (added): Add version to desktop
    files so bugzilla can figure out the version.

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * HACKING:
    * NEWS:
    * README:
    * TODO: Version 0.9.4
    * configure.in: Increment version number

2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-store-manager.c: Fix crasher #355157
    in key store model. Also follow sort column from gconf.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * daemon/Makefile.am:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * src/Makefile.am: Require define to acknowledge instability
    of libcryptui API.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Expired, revoked or disabled
    keys shouldn't be on the 'trusted' page. See #353494
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-tool.c:
    * tests/dbus-test.py: Fix problem with libcryptui based programs
    getting the wrong keyid and encryption failing. 
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * seahorse-prefs.c:
    * seahorse-prefs.glade: Simplify encryption preferences.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * src/Makefile.am:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.ui:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.glade (removed, hasn't been used):
    * src/seahorse-preferences.h: Move 'view column' options into 
    the 'View' menu. Remove a tab from preferences.
    
2006-09-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c: Close passphrase prompt on 
    <ESC> key press. Fixes #354332
    
2006-09-07  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Add descriptive labels and 
    make the GUI of key properties dialogs simpler. Fixes #353845
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Create .ssh directory
    if it doesn't exist. Fixes #354251
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-source.c:
    * src/seahorse-key-manager-store.c: Get key descriptions via keys 
    properties rather than a big #ifdef
    
2006-09-04  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/Makefile.am: Fixed problem building seahorse-tool
    Patch from Christopher Taylor. Similar to checkin on 2006-09-01 
    Fixes #354245
    
2006-09-02  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-key-manager-store.c: Remove punctuation from the main 
    display and pretty up the display of email addresses and comments.
    Add a little padding between columns they don't run into each other.
    Move expander to the Name column where it makes more sense.
    
2006-09-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key-store.c (removed):
    * libseahorse/seahorse-key-store.c (removed):
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Merged SeahorseKeyStore into
    SeahorseKeyManagerStore
    
2006-09-01  Abel Cheung  <abel@oaka.org>

	* configure.in: Added 'mk' to ALL_LINGUAS.

2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am: Make libcrypui properly link 
    to its dependencies.
    
2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Assorted fixes from the 
    seahorse-x509 branch.
    
2006-09-01  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * src/Makefile.am: Fix build order problems with libcryptui.
    Fixes #351935
    
2006-08-31  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-sign.c: Don't sync with server unless signing 
    actually took place

2006-08-31  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-operation.c: Operation reference fixes
    
2006-08-30  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-dns-sd.c: use pgpkey-hkp for DNS SD 
    SRV record. Patch from nafallo@magicalforest.se. Fixes #353595
    
2006-08-30  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-encrypted.desktop.in: Remove unused 
    application/pgp mime type
    * libseahorse/seahorse-util.c:
    * plugins/nautilus/seahorse.xml: Make SSH key mime type 
    application/x-ssh-key
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c: Fix uninitialized variable
    and comparing of paths that had extra slashes. Fixes #353306
    * libseahorse/seahorse-ssh-source.c: More fixes for building paths.
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c: Cancel operation when 
    SSH password prompt is cancelled. 
    
2006-08-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key.c: Fix crasher on amd64 with negative
    array indexes. Patch by Sebastian Dröge. Fixes #352808
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key-data.c: 
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c: 
    Also standardize internal SSH key ids on last 16 upper case 
    hex chars of fingerprint similar to PGP key ids.
    
2006-08-27  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-encrypted.desktop.in: Add application/pgp to the 
    list of mimetypes we handle. 
    
2006-08-27  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c: Change the default 
    invisible char to a bullet. [Jose Carlos Garcia Sogo]
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-ssh-key.c: Fix compile warnings
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-unknown-key.c:
    * src/seahorse-key-manager-store.c: Validity now displayed per UID. 
    Fixes #351836
    
2006-08-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c
    * libseahorse/seahorse-validity.c:
    * libseahorse/seahorse-validity.h: Display proper validity. Fixes #351835

2006-08-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key-data.c:
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-key-properties.c:
    * libseahorse/seahorse-ssh-key-properties.glade: Allow 'renaming' of 
    SSH keys. Fixes #352868
    
2006-08-24  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-keyset.c:
    * src/seahorse-key-manager.c: When selected key jumps between tabs 
    select on new tab. Fixes #352311
    
2006-08-24  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am: distcheck fix
    * NEWS:
    * README: Version 0.9.3
    * configure.in: New version
    
2006-08-23  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-agent-ssh.c: Allocate memory for SSH agent
    messages dynamically. Fixes #352364
    
2006-08-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpg-options.c: Use g_file_xxx_contents for 
    atomic writing and reading of files. Fixes #352332
    
2006-08-22  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-cache.glade:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent.h: Make SSH keys show up in agent. Fixes #345990
    * libseahorse/seahorse-context.c: Minor context fixes.
    * libseahorse/seahorse-unknown-key.c: Put stock-id property in right place
    
2006-08-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-key.h: Added "stock-id" property 
    for looking up icon against the SeahorseKey.
    
2006-08-21  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-ssh-agent.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key-data.c:
    * libseahorse/seahorse-ssh-key-data.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse.xml:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Add support for exporting and 
    importing SSH keys. Add support for setting authorization on keys. 
    Fixes #352087, #351862
    
2006-08-20  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-ssh-agent.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-algo.c (added):
    * libseahorse/seahorse-algo.h (added):
    * libseahorse/seahorse-ssh-key-data.c (added):
    * libseahorse/seahorse-ssh-key-data.h (added):
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c: Parse our own SSH keys. This is 
    more efficient and also allows us to eventually parse files like
    ~/.ssh/authorized_keys. Also remove half-baked SSH1 (ie: RSA1) support.
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse.xml:
    * src/seahorse-key-manager.c: Proper detection of file type before 
    trying to import a key. Helps #351862
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse.mime (removed):
    * plugins/nautilus/seahorse.keys (removed): Removed ancient mime support
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * HACKING:
    * bonobo/Makefile.am (removed):
    * bonobo/Seahorse_PGP_File_Listener.server.in.in (removed):
    * bonobo/seahorse-pgp-file-listener.c (removed): Remove the old nautilus
    context menu extension. Fixes #351874
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-ssh.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h:
    * libseahorse/seahorse-ssh-generate.c: Rework the SSH passphrase prompting
    Fixes #351980
    
2006-08-19  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-widget.c: Don't keep key windows open when key is gone.
    * libseahorse/seahorse-widget.c: 
    * libseahorse/seahorse-widget.h: Don't destroy windows twice.
    * libseahorse/seahorse-ssh-source.c: Don't needlessly create new keys. 
    * libseahorse/seahorse-context.c: Better handling when keys go away
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-secure-entry.c: Use the proper GtkEntry style
    Fixes #351839
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-service-source.c: Fix some critical warnings
    when filling in the 'Add Key Server' dialog.
    * libseahorse/seahorse-keyserver-control.c: Make appropriate selection 
    after deleting a key server, that was selected for publishing.
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyserver-results.c:
    * libseahorse/seahorse-keyserver-sync.c: When transferring keys to a key
    server transfer them individually, as that's more compatible with older
    key servers.
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-widget.c: Less crashes when glade files
    not installed properly.
    
2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-generate.glade: HIG fix

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * bonobo/Makefile.am:
    * daemon/Makefile.am:
    * libseahorse/Makefile.am:
    * plugins/applet/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * src/Makefile.am: Turn libseahorse back into a static 
    library now that we don't have shared libraries depending on it. 
    Simplifies build process and interdependencies.

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * src/Makefile.am:
    * src/seahorse-generate-adv.c (removed):
    * src/seahorse-generate-adv.glade (removed):
    * src/seahorse-generate-adv.h (removed):
    * src/seahorse-generate-druid.c (removed):
    * src/seahorse-generate-druid.glade (removed):
    * src/seahorse-generate-druid.h (removed):
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-pgp-generate.c:
    * src/seahorse-pgp-generate.glade: Added new PGP generate dialog 
    Fixes #351859

2006-08-18  Adam Schreiber  <sadam@clemson.edi>

    * src/seahorse-ssh-generate.glade: Hig compliance. Patch
    from chpe. Fixes #351850
    * libseahorse/seahorse-pgp-key-op.c:
    * src/seahorse-key-properties.c: Modified the trust
    combo box to use a GtkTreeModel and only present the appropriate
    options.

2006-08-18  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Fix syntax error in schema
    Fixes #351833
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README:
    * configure.in: New version 0.9.2.1
    * configure.in: Update version number
    
2006-08-17  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key-op.c:
    * src/seahorse-key-properties.c: Fixes issues with trust display
    and setting caused by homogenization with libcryptui. Fixes #350206

2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-key-manager-store.c:
    * libseahorse/seahorse-key-manager.c: Select keys after importing.
    Fixes #338287
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.ui: Remove useless 'View' menu. 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: When importing a PGP key make
    sure to refresh imported keys synchronously. This fixes problems 
    returning the list of keys that were imported.
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-transfer-operation.c: Add proper destroy
    callback for gchar* 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README: New version 0.9.2
    * configure.in: Update version number
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-transfer-operation.c: Remove bum 
    destroy callback for gpgme_data_t. 
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-sync.c: Small fix when somehow no keys
    are found to sync. Displays '0 keys selected for syncing'
    
2006-08-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Better messages when 
    either SSH agent or GPG agent not in order.
    
2006-08-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/tests/Makefile.am: Link properly so libcryptui
    dependencies get pulled in.
    * libcryptui/cryptui-key-store.c: Allow use of empty string 
    for 'no signer'. 
    * libcryptui/cryptui-key-list.c: Added translatable strings.
    
2006-08-13  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from seahorse-0-8 branch.
    
2006-08-03  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-unknown-key.c:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-unknown-source.h:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-keyserver-sync.c: Refactor keyids. Use GQuarks 
    instead of strings. Bug #347872 
    
2006-08-03  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-io.c: When comparing DISPLAY environment
    variable in seahorse-agent, don't compare 'screennumber'. 
    Patch by Sam Morris. Bug #156306
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade: Removed notification icon for 
    key sharing, added icon to prefs dialog.
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-passphrase.c: Set cache unsensitive
    when agent is not available. Bug #347869
    
2006-07-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs-cache.c: Fix crash when starting 
    seahorse-preferences. Bug #349080
    
2006-07-27  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-sharing.c: Fix crasher when twiddling 
    gconf setting for 'sharing' on and off repeatedly. 
    Bug #348770
    
2006-07-18  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in: Added gconf dependency.
    Bug #347868.

2006-07-18  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-status.c:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-service-crypto.c:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-import.c (removed):
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-signatures.c (removed):
    * plugins/applet/seahorse-applet.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-tool-progress.c:
    * plugins/nautilus/seahorse-tool.c:
    * src/main.c: libseahorse links libcryptui, pass off notifications to 
    the daemon where possible. Bug #339237
    
2006-07-18  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-notify.glade (added):
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * tests/dbus-display-notification-test.py: Added support for 
    DisplayNotification D-Bus API. Bug #339237
    
2006-07-17  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui-priv.h: Add double quotes around error
    message to fix build. 

2006-07-17  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * data/seahorse.schemas.in:
    * libcryptui/cryptui-defines.h (added):
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-priv.h (added):
    * libcryptui/cryptui.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-signer.c: libcryptui key chooser now 
    respects proper user conf, settings, etc... Fixes #341987, #347459
    
2006-07-12  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key.c: Fix type of length property.
    * libcryptui/.cvsignore: Add *.pc files to list.
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h: Add length property to 
    key objects.
    * configure.in: Actually check in the modified file.

2006-07-08  Adam Schreiber  <sadam@clemson.edu>

    * libcryptui/cryptui.pc.in: added -lcryptui to libs.
    * src/seahorse-pgp-private-key-properties.glade: Add 's' to name
    of the strength label so that the field is populated properly.
    * configure.in:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui.pc.in(added): Publish pkg-config file
    so that other programs can find and link against libcryptui.

2006-07-06  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * Makefile.am:
    * configure.in:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Use DBUS to start seahorse-daemon
    and detect if it's running. Properly detect SSH and GPG agents running.
    Clean up code behind cache prefs. 

2006-07-06  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c: Don't trigger 
    gconf write during initialization. 
    
2006-07-04  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-store.c: Removed over zealous
    assertion. Fixes bug #346418
    
2006-07-02  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse-tool.c: Change program name
    from seahorse, PACKAGE, to seahorse-tool.
    * src/seahorse-multi-encrypt.glade: Make entry field activate
    the default.

2006-06-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-recipients-store.c (removed):
    * libseahorse/seahorse-recipients-store.h (removed):
    * libseahorse/seahorse-recipients.c (removed):
    * libseahorse/seahorse-recipients.glade (removed):
    * libseahorse/seahorse-signer.c: Remove old API seahorse_recipients_get()
    
2006-06-27  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus-ext/seahorse-nautilus.c: Change seahorse to
    seahorse-tool. (Bug #346038)
    * libcryptui/cryptui-key-store.c: Fix fallback in
    have_selected_keys. (Bug #346040)

2006-06-25  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-ssh-key-properties.glade: Improve the
    consistency of the dialog.

2006-06-22  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.h:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Add UI for SSH agent proxy.
    Bug #341986
    
2006-06-16  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse.schemas.in: Removed bad server from
    default set.

2006-06-09  Adam Schreiber  <sadam@clemson.edu>

    * configure.in: Made panel applet respect dbus setting.

2006-06-09  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-ssh.c:
    * libseahorse/seahorse-ssh-askpass.c:
    * libseahorse/seahorse-ssh-operation.c:
    * libseahorse/seahorse-ssh-operation.h: Add support for saving SSH
    passwords in gnome-keyring. Bug #341986
    
2006-06-08  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * agent/Makefile.am:
    * agent/seahorse-agent-ssh.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-key-properties.c: Add rudimentary but working
    SSH agent proxy support. Bug #341986
    
2006-06-07  Adam Schreiber  <sadam@clemson.edu>

    * pixmpas/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-sign-ok.png(added):
    * pixmaps/22x22/seahorse-sign-ok.svg(added):
    * pixmaps/22x22/seahorse-sign-bad.png(added):
    * pixmaps/22x22/seahorse-sign-bad.svg(added): Add 
    22x22 icons for signing

2006-05-24  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent-prompt.c:
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * src/seahorse-preferences.c: Remove deprecated 
    seahorse_check_button_control_new. Bug #338743 

2006-05-18  Adam Schreiber  <sadam@clemson.edu>
    
    * src/seahorse-generate-select.c: Make dialog activate
    on double click of items in treeview.
    
2006-05-16  Adam Schreiber <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Remove extra include.

2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahors-check-button-control.c: Don't crash
    when schema isn't installed.
    
2006-05-16  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Double click on key
    on 'Trust' or 'Names' pages opens the key's properties (Bug #342005).

2006-06-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpgmex-util.c: Fix typo which caused
    freeing of in use memory.
    * daemon/seahorse-service-crypto.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-op.c (removed):
    * libseahorse/seahorse-op.h (removed):
    * plugins/applet/seahorse-applet.c:
    * src/main.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c: Remove seahorse-op.* files.
    No longer necessary.
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * src/seahorse-key-manager.c: Show progress dialog when 
    importing keys.

2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * src/seahorse-ssh-key-properties.c: Quell warnings
    by adding appropriate headers 
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-transfer-operation.c: Don't free data 
    before import operation is complete. Bug #341261
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c: Fix crash in 
    seahorse-preferences. Bug #333753
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-pgp-source.c: Made import and export via
    GPGME be async. Should fix bug #341261
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-keyserver-sync.c: Remove duplicate
    code.
    
2006-05-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c:
    * src/seahorse-key-manager.c: Fix problem with deleting a 
    single key. Fixes bug #341772
    
2006-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-model.c:
    * libseahorse/seahorse-key-model.h:
    * libseahorse/seahorse-key-store.c: Fix problem with multiple
    of same keys being displayed 
    
2006-05-15  Adam Schreiber  <sadam@clemson.edu>

    * daemon/seahorse-daemon.c:
    * plugins/nautilus/seahorse-pgp-preferences.c: Change PACKAGE 
    to actual program name. Fixes behavior with GNOME crash dialog.

2006-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/nautilus/seahorse-tool.c: Don't add '.asc' extensions
    to files, when using armor mode.
    
2006-05-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h: Remove old unused functions.
    
2006-05-13  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/seahorse-tool-files.c: Fix problem with 
    not resolving relative file names properly.
    * plugins/nautilus/seahorse-tool-progress.c: Fix problem with 
    not starting the progress window process.
    * plugins/nautilus/seahorse-tool.c: Don't offer to package
    files when signing.
    * plugins/nautilus/seahorse-tool-files.c: Cancel properly when 
    multiple files are being operated on.
    
2006-05-12  Adam Schreiber  <sadam@clemson.edu>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * src/Makefile.am:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-keyserver-sync.h(added): Added auto sync ability
    (Bug #335418)
    * libseahorse/seahorse-pgp-key-op.c: Changed error msg to use 
    unsigned int instead of int.

2006-05-09  Nate Nielsen  <nielsen@memberwebs.com>

    * AUTHORS:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.1 (added):
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-tool.1 (added): Manual pages
    Written by Michael Mende. 

2006-05-09  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/eggtrayicon.c: Patch to implement transparency 
    for notification area icons (Peter Grundström). (Bug #341171, 
    #150726)
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * daemon/seahorse-sharing.c:
    * agent/seahorse-agent-status.c: Fix the placement of popup
    menus.

2006-05-06  Adam Schreiber  <sadam@clemson.edu>

    * Makefile.am:
    * plugins/applet/seahorse-applet.c: Migrated encryption
    ops to use libcryptui and DBUS interfaces.

2006-05-03  Adam Schreiber  <sadam@clemson.edu>

    * plugins/nautilus/seahorse.mime:
    * plugins/nautilus/seahorse.xml: Added missing extensions
    to mime types.
    
2006-05-01  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Set translation domain
    properly on GtkActionEntry's. By Takeshi AIHANA. Fixes bug #340260 

2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.h (added):
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-ssh-askpass.c: Added checks so agent doesn't
    startup when another agent is already running. 
    
2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * dbus-match-keyset.py (added): Added the 'MatchKeys' DBUS API
    
2006-04-28  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse\seahorse-key.c:
    * libseahorse\seahorse-key.h:
    * libseahorse\seahorse-pgp-key.c:
    * libseahorse\seahorse-pgp-source.c:
    * libseahorse\seahorse-server-source.c:
    * libseahorse\seahorse-ssh-key.c:
    * libseahorse\seahorse-unknown-key.c:
    * libseahorse\seahorse-unknown-source.c: Better names for various
    key flags
     
2006-04-26  Nate Nielsen  <nielsen@memberwebs.com>
    
    * agent/seahorse-agent-cache.c: Compatibility with gnome-gpg
    * agent/seahorse-agent-prompt.c: Don't show two prompts on top 
    of each other.
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Some polish for new 
    agent/gnome-keyring integration. 
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * bonobo/seahorse-pgp-file-listener.c:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-tool-files.c (added):
    * plugins/nautilus/seahorse-tool-progress.c (added):
    * plugins/nautilus/seahorse-tool.c (added):
    * plugins/nautilus/seahorse-tool.h (added):
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * src/Makefile.am:
    * src/main.c:
    * src/seahorse-pgp-encrypted.desktop.in:
    * src/seahorse-pgp-keys.desktop.in:
    * src/seahorse-pgp-signature.desktop.in:
    * src/seahorse-process-multiple.c (removed):
    * src/seahorse-windows.h: Build new 'seahorse-tool' for encryption 
    from nautilus/command line. Also fixes #159083
    
2006-04-24  Nate Nielsen  <nielsen@memberwebs.com>
    
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-photos.c: Drag and drop support for add 
    photo id. Patch from Jim Pharis. Bug #336021
    
2006-04-22  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/org.gnome.seahorse.service.in: Add no-daemon flag
    to dbus service activation.
    
2006-04-21  Adam Schreiber  <sadam@clemson.edu>

    * daemon/seahorse-service-crypto.c:
    * libseahorse/seahorse-import.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-notification.c:
    * libseahorse/seahorse-signatures.c:
    * plugins/applet/seahorse-applet.c:
    * src/main.c: Adds the ability to attach a notification
    to a GtkWidget and attaches panel applet notifications to it.

2006-04-20  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-add-keyserver.glade:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-generate-druid.glade:
    * libseahorse/seahorse-multi-encrypt.glade: Fix typos.
    Fixes from Clytie Siddall. Bug #338850
    
2006-04-20  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * seahorse-ldap-source.c: Async DNS lookups for LDAP connections
    (using libsoup). Fixes #320276
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * configure.in:
    * agent/Makefile.am:
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Add gnome-keyring support
    to the seahorse agent. Can be disabled with --disable-gnome-keyring
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c: Automatically discover 
    keys on the 'trust' page. Bug #335417
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c: Map GPGME validity/trust
    enum into seahorse properly.
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/Makefile.am: Install DBUS service file in a 
    manner more friendly to packagers. Fixes #339072
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-model.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-unknown-source.c:
    * libseahorse/seahorse-unknown-source.h:
    * libseahorse/seahorse-key-properties.c: Automatically discover 
    keys in UID signatures. Bug #335417
    
2006-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key-model.c (added):
    * libseahorse/seahorse-key-model.h (added): 
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-recipients-store.c:
    * src/seahorse-key-manager-store.c: Factor out common code for 
    associating a key with a row in a GtkTreeStore
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>
    
    * libseahorse/seahorse-pgp-key.c:
    * src/seahorse-key-properties.c: Fix problem with remote
    keys not showing up properly.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ldap-operation.c:
    * libseahorse/seahorse-transfer-operation.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * libseahorse/seahorse-key-manager.c:
    * libseahorse/seahorse-keyserver-sync.c: Fix bugs with the 
    key syncing and publishing.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c: More operation related bug 
    fixes.
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c: Cleanup import/export/transfer
    of keys. 
    
2006-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-hkp-server.c:
    * libseahorse/seahorse-gpgmex-util.c:
    * libseahorse/seahorse-gpgmex.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c: Simplify gpgme_data_t allocation
    
2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/nb.po: Update
	* po/no.po: Remove.

2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui.h:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-validity.h: Stabilize various flags
    and integer ids that we export via DBUS.
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libcryptui/cryptui-keyset.c:
    * tests/dbus-listen-keyset.py:
    * tests/dbus-test.py: Move all 'key info' related dbus methods into 
    org.gnome.seahorse.Keys
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-transfer-operation.c (added):
    * libseahorse/seahorse-transfer-operation.h (added):
    * libseahorse/seahorse-unknown-key.c (added):
    * libseahorse/seahorse-unknown-key.h (added):
    * libseahorse/seahorse-unknown-source.c (added):
    * libseahorse/seahorse-unknown-source.h (added):
    * tests/dbus-discover-test.py (added):
    * tests/dbus-import.py (added):
    * tests/dbus-listen-keyset.py (added):
    * tests/dbus-test.py (added): Add support for unknown keys and 
    the support for the 'DiscoverKeys' dbus API.
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c: Fix crasher when 
    removing keys. 
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-operation.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-generate.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Simplify and cleanup the 
    operation code
    
2006-04-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c: Fix how 
    seahorse_context_remove_key_source works.
    
2006-04-16  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Make site links in the 
    About dialogs clickable.
    * help/C/seahorse.xml: Update copyright information and 
    document unexposed GConf key. 

2006-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-operation.c: Add license
    to seahorse-pgp-operation.c
    
2006-04-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-operation.c: Fix compilation 
    problem on x64. Fixes bug #338651
    
2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * README:
    * NEWS: Version 0.9.1
    * Makefile.am:
    * daemon/Makefile.am: Cleanup built files properly
    * configure.in: Update version number to 0.9.2

2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * autogen.sh: Require automake 1.9
    * Makefile.am:
    * configure.in:
    * xmldocs.make (removed):
    * help/Makefile.am:
    * help/seahorse.omf.in (added):
    * help/C/Makefile.am (removed):
    * help/C/seahorse-C.omf (removed):
    * help/C/seahorse.xml: 
    * plugins/applet/docs/Makefile.am:
    * plugins/applet/docs/seahorse-applet.omf.in (added):
    * plugins/applet/C/Makefile.am (removed):
    * plugins/applet/C/seahorse-applet-C.omf (removed): Migrate to 
    gnome-doc-utils. Fixes #327441    

2006-04-14  Nate Nielsen  <nielsen@memberwebs.com>

    * COPYING-LIBCRYPTUI (added):
    * configure.in: 
    * libcryptui/Makefile.am: Install libcryptui library properly
    * daemon/Makefile.am: Include missing files in tarball
    
2006-04-13  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-plugin.c: Fix build of gedit 
    2.14 plugin. 
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-operation.c: Fix problem where multi
    operations aren't cleaned up properly, leading to random 
    crashes, when a signal fires on a dangling pointer.
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * src/seahorse-key-properties.c: Hide non relevant elements
    when the key is not local (ie: from a key server)
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c: Fix crasher when 
    server returns error but no text. Fixes bug #336191
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/seahorse-gedit.c: Fix crasher when decrypt
    or verify fail.
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * acinclude.m4 (added):
    * configure.in:
    * daemon/Makefile.am:
    * daemon/org.gnome.seahorse.service.in: Add DBUS activation
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * daemon/seahorse-service-crypto.c:
    * daemon/seahorse-service-crypto.xml:
    * daemon/seahorse-service.h:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * libseahorse/seahorse-signatures.c:
    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/seahorse-gedit.h:
    * tests/dbus-crypto-test.py: Make gedit plugin work via DBUS
    and remove linking to libseahorse.
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service-crypto.c (added):
    * daemon/seahorse-service-crypto.xml (added):
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * libcryptui/cryptui-keyset.c:
    * tests/dbus-test-crypto.py (added): 
    * tests/dbus-test.py: Added DBUS service for simple text crypto 
    operations
    
2006-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: Fix memory leak in 
    seahorse_util_write_data_to_text
    * libseahorse/seahorse-pgp-operation.c: Fix problem with invalid
    progress data coming from GPGME
    * libseahorse/seahorse-passphrase.c: Don't grab keyboard when in 
    debug mode. This gets in the way. 
    * libseahorse/seahorse-operation.c: 
    * libseahorse/seahorse-operation.h: Add method for accessing 
    operation error without removing it from operation.
    
2006-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-test-ui.c: DBUS work. Bring libcryptui key chooser 
    on par with libseahorse key chooser. 
    
2006-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h: Change seahorse_pgp_key_add_photo
    filename arg to const.

2006-04-10  Nate Nielsen  <nielsen@memberwebs.com>

    * HACKING: Added a section about indentation.
    
2006-04-09  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c: Progress dialog while generating key.
    Patch from Jim Pharis. Bug #159083
    
2006-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-private-key-properties.c: Fix regression with 
    expire date dialog. Patch from Jim Pharis. Bug #325239
    
2006-04-06  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse.desktop.in: Move launcher to Accessories
    
2006-04-05  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-import.c:
    * libseahorse/seahorse-signatures.c: Fix notifications to use new 
    graphics.
    * src/seahorse-pgp-private-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Put event boxes back
    around photo ids so that scrolling works.

2006-04-03  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Remove unnecessary rendering of pixbufs
    for about dialogs.
    *plugins/applet/seahorse-applet.c: Make the help file display.

2006-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse.png (removed):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/seahorse-preferences.png (added):
    * pixmaps/22x22/seahorse-preferences.svg (added):
    * pixmaps/22x22/seahorse.png (added):
    * pixmaps/22x22/seahorse.svg (added):
    * pixmaps/48x48/Makefile.am:
    * pixmaps/48x48/seahorse-preferences.png (added):
    * pixmaps/48x48/seahorse-preferences.svg (added):
    * pixmaps/scaleable/Makefile.am:
    * pixmaps/scaleable/seahorse-preferences.png (added):
    * pixmaps/scaleable/seahorse.png:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in: New icons for seahorse and seahorse-preferences
    Fixes Bug #336661
    
2006-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gpgmex-op.c:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-pgp-public-key-properties.glade: Make
    trust/signing changes discussed on the list. Bug #329151
    
2006-03-30  Adam Schreiber  <sadam@clemson.edu>

    * plugins/applet/seahorse-applet.c:
    * src/seahorse-key-manager.c: Migrated from GnomeAbout
    to GtkAbout. (Bug #336656)

2006-03-29  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-prefs.glade: Changed instance of
    agent to daemon in text. 

2006-03-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/Makefile.am:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-photos.c (added): Automatically resize the photos
    that are too large, automatically convert to JPEG. Fixes bug #335405
    
2006-03-24  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c: Fix gtk_tree_store warning.  
    Must end list of args with -1.

2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-ssh-operation.c: Clarify and cleanup 
    the operation code a bit. 
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-operation.c (added):
    * libseahorse/seahorse-ssh-operation.h (added):
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-generate.c (added):
    * src/seahorse-ssh-generate.glade (added):
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Add support for SSH key generation
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * seahorse-key-manager.c: Make sure 'First Time Options' 
    doesn't show itself needlessly
    
2006-03-22  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * src/Makefile.am:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade (removed):
    * src/seahorse-pgp-private-key-properties.glade (added): Rework the 
    private key dialog. Fixes bug# 335414
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-public-key-properties.glade: HIG tweaks 
    Patch from chpe. Fixes bug# 332663
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-operation.h: Fix build problem
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-operation.c:
    * libseahorse/seahorse-pgp-operation.h:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-key-op.c: Added support for tracking 
    progress on GPGME operations. See Bug #159083
    
2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Change key properties 
    from GtkWindow to GtkDialog. 
    Patch from chpe. Fixes bug# 332663

2006-03-21  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-select.c: Fix a bunch of simple build and 
    runtime warnings.
    
2006-03-20  Adam Schreiber  <sadam@clemson.edu>
    
    * daemon/seahorse-sharing.c: Fixed build error and sizing
    of the sharing icon.

2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-pgp-source.c: Load PGP keys at idle time.
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.c: Hide signatures tab when 
    no signatures. Back out some changes from #329151. Display proper
    signature icons in properties. 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/GNOME_SeahorseApplet.server.in.in: 
    Use appropriate icon for the panel applet 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-sharing.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * pixmaps/Makefile.am:
    * pixmaps/*.xcf (removed):
    * pixmaps/*.png (removed):
    * pixmaps/22x22/Makefile.am:
    * pixmaps/22x22/*.png (added):
    * pixmaps/22x22/*.svg (added):
    * pixmaps/48x48/Makefile.am:
    * pixmaps/48x48/*.png (added):
    * pixmaps/scaleable/Makefile.am:
    * pixmaps/scaleable/*.svg:
    * plugins/applet/seahorse-applet.c:
    * src/seahorse-ssh-upload.c:
    * configure.in: Add Tango style icons. 
    
2006-03-20  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-sign.c: Fix build warnings
    
2006-03-18  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Fix dependency problem for avahi-client
    Patch from Joseph Sacco. Fixes bug #335039

2006-03-18  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-sign.svg:
    * src/seahorse-key-dialogs.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-sign.c:
    * src/seahorse-sign.glade:
    * src/seahorse-windows.h: New user interface for signing keys
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-prefs.c: Only show keys that can sign in prefs
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h: 
    * libseahorse/seahorse-signer.c: Add a simple method for creating a 
    keyset that watches all the signable keys, taking default key into 
    account.
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h: SeahorseWidget derives from GtkObject
    so we can track lifetime easily.
     
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-signer.glade: Remove SeahorseDefaultKeyControl
    object and add seahorse_combo_keys_* functions which work better 
    with glade interface files.
    
2006-03-17  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Make seahorse_gconf_notify_lazy support
    any object as the lifetime parameter.
    
2006-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c: Fix crasher and memory leaks
    in proxy support. Bug #324312
    
2006-03-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-passphrase.c: Don't crash when prompting
    for passphrases without prompt string. Fixes Bug #334275
    
2006-03-10  Adam Schreiber  <sadam@clemson.edu>
    
    * libseahorse/seahorse-hkp-source.c: Respect GNOME
    proxy settings.(Bug #324312)

2006-03-08  Adam Schreiber  <sadam@clemson.edu>

    * agent/seahorse-agent-status.c:
    * plugins/applet/seahorse-applet.c: Make windows 
    that appear have the proper image in the window selector.
    * plugins/applet/seahorse-applet.c: Make proper icon display 
    in About dialog. 

2006-03-06  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: Update version number to 0.9.1

2006-03-05  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS:
    * README:
    * INSTALL: Version 0.9.0
    
2005-03-05  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/Makefile.am:
    * libcryptui/Makefile.am:
    * pixmaps/Makefile.am: make distcheck fixes
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-add-keyserver.glade:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-recipients.glade:
    * libseahorse/seahorse-signer.glade:
    * src/seahorse-add-subkey.glade:
    * src/seahorse-add-uid.glade:
    * src/seahorse-change-passphrase.glade:
    * src/seahorse-expires.glade:
    * src/seahorse-generate-adv.glade:
    * src/seahorse-generate-select.glade:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-search.glade:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-multi-encrypt.glade:
    * src/seahorse-preferences.glade:
    * src/seahorse-revoke.glade:
    * src/seahorse-sign.glade:
    * src/seahorse-ssh-upload.glade: Patch from chpe to put proper 
    HIG spacing in dialogs. Bug #332663
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/seahorse-applet-preferences.glade:
    * plugins/applet/seahorse-applet.c: Fix problems closing applet
    preferences dialog. Bug #332654
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h: Load initial values into checkboxes
    properly. Fixes bug #332655
    
2006-02-26  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-keyset.c:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-upload.c: Patch from Adam Schreiber to add assertions 
    in relevant places. See #328791
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * pixmaps/Makefile.am:
    * pixmaps/seahorse-applet.png:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in: Use descriptive icon
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/Makefile.am:
    * plugins/applet/seahorse-applet-preferences.glade:
    * plugins/applet/seahorse-applet.c: Add option to disable clipboard 
    contents detection and updating of the panel icon.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h: Build a simpler API 
    for attaching check buttons to gconf keys.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>
    
    * plugins/applet/seahorse-applet.c: Don't crash when no text on clipboard
    and encrypt or sign.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/applet/seahorse-applet.c: Only free our own SeahorseContext
    in applet.
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * pixmaps/Makefile.am:
    * pixmaps/seahorse-applet-encrypted.png:
    * pixmaps/seahorse-applet-key.png:
    * pixmaps/seahorse-applet-signed.png:
    * pixmaps/seahorse-applet-text.png:
    * pixmaps/seahorse-applet-unknown.png:
    * pixmaps/seahorse-applet.xcf:
    * plugins/applet/seahorse-applet.c: Show state of clipboard contents in 
    the applet icon. Only display relevant menu items. 
    
2006-02-25  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * libseahorse/seahorse-notification.c: Update libnotify support to 0.3
    
2006-02-24  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-daemon.c:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * plugins/applet/seahorse-applet.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/main.c: Some small changes to our stock icon helper functions to
    allow multiple icon tables to be loaded. 
    
2006-02-22  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/seahorse-gedit-bonobo.c: include 
    seahorse-pgp-key.h so the gedit plugin builds.

2006-02-22  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c: Delay initialization of
    SeahorseContext to first usage to speed up loading of gedit.
    
2006-02-22  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/seahorse-applet.c: Rework of applet. Simplify props.
    Make secure memory work properly. Delay initialization till first
    operation. Style and compile fixes.
    
2006-02-19  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-pgp-key-op.c: Fix state machine for signing keys.
    Patch by Daniel Rodriguez Garcia.  (Bug #319409)

2006-02-17  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * plugins/gedit/Makefile.am:
    * plugins/gedit/seahorse-gedit-bonobo.c:
    * plugins/gedit/seahorse-gedit-plugin.c:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/gedit/seahorse-gedit.h:
    * plugins/gedit/seahorse-pgp.gedit-plugin.desktop.in: 
    Adapt gedit plugin to gedit 2.14 plugin API. Bug #328330
    
2006-01-31  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.glade:
    * src/seahorse-key-properties.c:
    * src/seahorse-expires.glade:
    * src/seahorse-expires.c: Fixes expiration dialogs
    and makes data labels selectable. (Bug #325239) 
    (Bug #329298)    

2006-01-30  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Correct 
    visibility and labels. (Bug #329151)

2006-01-29  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.glade: Correct 
    visibility and labels.(Bug #329151)

2006-01-24  Adam Schreiber  <sadam@clemson.edu>

    * HACKING: updated file
    * Makefile.am: Added MAINTAINERS and HACKING to EXTRA_DIST
    * libseahorse/seahorse-pgp-key.c: Fix critical warning
    (Bug #328472)
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/seahorse.desktop.in: Corrected desktop files
    (Bug #328457). Patch by Stephane Loeuillet.
    * data/seahorse.schemas.in: Made ASCII armouring the default
    (Bug # 321188)
    * src/seahorse-key-properties.c: Connected export signal to handler
    (Bug # 328469)
    * libseahorse/seahorse-pgp-key-op.c: Changed g_return_val_if_fail into
    an if statement. (Bug #328471)

2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Make avahi a soft dependency. 
	* configure.in: Fix problem with above commit. 
	See bug #328362
	
2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged changes from seahorse-0-8 branch.

2006-01-23  Nate Nielsen  <nielsen@memberwebs.com>

	* seahorse-key-manager.c: Fixed warnings during Key Manager
	startup. Bug #327657
	
2006-01-22  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Made gedit plugin and panel applet soft
	dependencies.
	* libseahorse/seahorse-context.c: Builds properly without 
	keyserver support.
	
2006-01-16  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/seahorse-sharing.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-dns-sd.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Moved DNS-SD code from 
    libhowl to Avahi. Bug #318707
    
2006-01-15  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-ssh-key.c:
    * plugins/applet/seahorse-applet.c: Bug #327038
    
2006-01-11  Adam Schreiber  <sadam@clemson.edu>

    * help/C/seahorse.xml:
    * libseahorse/seahorse-widget.c:
    * plugins/applet/docs/C/seahorse-applet.xml:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Help buttons on
    key property windows now work.  The main help brings up the 
    introduction.  There have been wholesale revisions to the help
    docs.

2006-01-01  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-manager.c: Bug #325370

2005-12-29  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.glade: Bug #325269

2005-12-27  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * plugins/applet/.cvsignore:
    * plugins/applet/seahorse-applet.c:
    * plugins/applet/seahorse-applet.h:
    * plugins/applet/docs/.cvsignore:
    * plugins/applet/docs/C/.cvsignore: Code cleanups

2005-12-23  Adam Schreiber  <sadam@clemson.edu>

    * configure.in:
    * data/seahorse.schemas.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-import.c
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * pixmaps/Makefile.am:
    * plugins/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/applet/GNOME_SeahorseApplet.server.in.in:
    * plugins/applet/GNOME_SeahorseApplet.xml:
    * plugins/applet/Makefile.am:
    * plugins/applet/seahorse-applet.c:
    * plugins/applet/seahorse-applet.h:
    * plugins/applet/docs/Makefile.am
    * plugins/applet/docs/C/Makefile.am:
    * plugins/applet/docs/C/legal.xmlL
    * plugins/applet/docs/C/seahorse-applet.xml:
    * plugins/applet/docs/C/seahorse-applet-C.omf: Check in encryption applet
    (Bug #322615)
    
2005-12-15  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * bonobo/Makefile.am:
    * daemon/Makefile.am:
    * libcryptui/cryptui.h:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-key.h:
    * plugins/gedit/Makefile.am:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * src/Makefile.am: Move SKEY_FLAGS_* to libcryptui, and use new flags 
    throughout seahorse (to guarantee consistency).
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui-test-keyset.c: Support retrieving key flags. Only show 
    appropriate keys in key chooser. Support setting selection on chooser/list.
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-chooser.c:
    * libcryptui/cryptui-key-chooser.h:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/tests/cryptui-test-ui.c: Beginnings of the Key Chooser

2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service.c: Proper listing of keysets even when
    no keys of that type exist 
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-test-ui.c: Added 'none-option' to key store/combo box.
    Made check boxes work. Default sort order for all UI key listings. 
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-list.c:
    * libcryptui/cryptui-key-list.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h: More DBUS/libcryptui work. Implemented caching
    of key properties client side. Added cryptui-key-list.*
    
2005-12-14  Nate Nielsen  <nielsen@memberwebs.com>

    * daemon/seahorse-service-keyset.c: 
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libcryptui/Makefile.am:
    * libcryptui/cryptui-key-combo.c:
    * libcryptui/cryptui-key-combo.h:
    * libcryptui/cryptui-key-store.c:
    * libcryptui/cryptui-key-store.h:
    * libcryptui/cryptui-keyset.c:
    * libcryptui/cryptui-keyset.h:
    * libcryptui/cryptui.c:
    * libcryptui/cryptui.h:
    * libcryptui/tests/Makefile.am:
    * libcryptui/tests/cryptui-test-keyset.c:
    * libcryptui/tests/cryptui-test-ui.c: More work on DBUS/libcryptui. Implemented
    cleaner method for accessing UIDS/Names. Added TreeStore, ComboBox. 
    
2005-12-05  Adam Schreiber  <sadam@clemson.edu>

    * daemon/Makefile.am: Fix DESTDIR bug. Patch from Christopher
    Taylor. (Bug #323292)

2005-12-04  Adam Schreiber  <sadam@clemson.edu>

    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: Added event box and signal 
    handler to scroll photo IDs with the scroll wheel.

2005-12-02  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-context.c: Fixed bug with not finding    
    imported keys. (Bug #313270)

2005-11-29  Adam Schreiber  <sadam@clemson.edu>

    * plugins/gedit/seahorse-gedit.c: Fixed freeing uninitialized
    pointer (Bug #322509)

2005-11-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Can now change passphrases
    for SSH keys.
    
2005-11-11  Adam Schreiber <sadam@clemson.edu>

    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c: Remove invalid keys from default
    key widget (Bug #321099)

2005-11-10  Adam Schreiber <sadam@clemson.edu>

    * plugins/nautilus/seahorse-pgp-preferences.c: Fixed Assertion in load
    due to themable icons

2005-11-07  Adam Schreiber <sadam@clemson.edu>
 
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: Patch for primary and first
    and last buttons (Bug #317537)

2005-11-05  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c:
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-passphrase.glade: (removed)
    * libseahorse/seahorse-secure-entry.c:
    * src/main.c: Unify passphrase prompting across all
    the seahorse processes.
    * configure.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-ssh-askpass.c: (added)
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-key-ssh-large.png: (added)
    * pixmaps/seahorse-parts.xcf: (added)
    * src/Makefile.am:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-upload.c:
    * src/seahorse-ssh-upload.glade: Added support for uploading SSH
    public keys to another machine.
    
2005-11-04  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/Makefile.am:
    * agent/gtk-secure-entry.c: (removed)
    * agent/gtk-secure-entry.h: (removed)
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-status.c:
    * agent/seahorse-agent-secmem.c: (removed)
    * agent/seahorse-agent-secmem.h: (removed)
    * daemon/seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-secure-entry.c: (added)
    * libseahorse/seahorse-secure-entry.h: (added)
    * libseahorse/seahorse-secure-memory.c: (added)
    * libseahorse/seahorse-secure-memary.h: (added)
    * po/POTFILES.in: Cleaned up secure memory code and moved
    it into libseahorse
    
2005-10-30  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-delete.c:
    * libseahorse/seahorse-key-dialogs.h:
    * libseahorse/seahorse-key-manager.c:
    * libseahorse/seahorse-key-manager.ui:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-ssh-key-properties.c: Integrated SSH keys better with
    the main UI. Moved delete support for keys into key sources. Cleanup.
    * src/seahorse-key-dialogs.h: 
    * src/seahorse-key-manager.c: Now builds properly without SSH support.
    * libseahorse/seahorse-operation.c: Fixed erroneous assertion
    * configure.in:
    * seahorse-agent-status.c:
    * seahorse-daemon.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-operation.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-ssh-key.c:
    * libseahorse/seahorse-ssh-key.h:
    * libseahorse/seahorse-ssh-source.c:
    * libseahorse/seahorse-ssh-source.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-key-ssh.png:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/Makefile.am:
    * src/main.c:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-ssh-key-properties.c:
    * src/seahorse-ssh-key-properties.glade: Added initial support for 
    SSH keys
    
2005-10-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * src/Makefile.am:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-pgp-public-key-properties.glade: Added a simpler
    properties interface for public keys. (bug #317537)
    * src/seahorse-key-properties.c: Wholesle fixing of memory leaks,
    translations problems, compilation warnings etc...
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-util.c: Fix compilation warnings
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: Add 'trusted keys' tab
    * libseahorse/seahorse-key-store.c: Don't show key graphic for uids.
    * libseahorse/seahorse-prefs.c: 
    * src/seahorse-key-properties.c: Regressions from earlier fixes
    * src/seahorse-key-properties.c:
    * src/seahorse-pgp-public-key-properties.c: More UI tweaking 
    
2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Makefile.am:
    * configure.in:
    * libcryptui/*:
    * libcryptui/tests/*: Beginnings of libcryptui

2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * Merged changes from stable branch: seahorse-0-8
 
2005-10-12  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-key-store.c: 
    * libseahorse/seahorse-keyset.c: Cleanup unnecessary code,
    fix memory leak. 
    * pixmaps/seahorse-person.png:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade: UI changes to Key Properties
    code by Jim Pharis (bug #317537)
    
2005-10-11  Adam Schreiber  <sadam@clemson.edu>

    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:  Committed patches attached to
    Bug #314744 and #315084
    
2005-10-04  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-09-16  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-keyserver-sync.c: Fix syncing after recent 
	refactoring

2005-09-12  Nate Nielsen <nielsen@memberwebs.com>

    * src/seahorse-context.c: Fix lookup on wrong property.
    
2005-08-31  Adam Schreiber <sadam@clemson.edu>
    
    * libseahorse/seahorse-pgp-key-op.c: Fixed multiple photo id
    appearance bug (Bug #314981)

2005-08-29  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c: Fix problems with crashing
    when signing. 
    * libseahorse/seahorse-key.c: 
    * libseahorse/seahorse-key.h: Add functions to get a short keyid.
    * INSTALL:
    * configure.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signatures.glade:
    * pixmaps/Makefile.am:
    * plugns/gedit/seahorse-gedit.c:
    * src/main.c: Added proper support for signature notifications via 
    libnotify (bug# 314782)
    * libseahorse/seahorse-key-store.c: Show short key id in display
    * libseahorse/seahorse-default-key-control.c: Code cleanup
    * libseahorse/seahorse-op.c: Fix another crasher when signing.
    
2005-08-28  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-gpgmex-op.c:
    * libseahorse/seahorse-gpgmex-util.c:
    * libseahorse/seahorse-gpgmex.h:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-properties.glade:
    * src/seahorse-xloadimage.c: Initial Photo ID Support
    (Bug #160413)

2005-08-26  Nate Nielsen <nielsen@memberwebs.com>

    * Merged changes from STABLE branch.

2005-08-24  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * plugins/gedit/seahorse-gedit.c: Move the so-so generic block 
    detection code into the various places that use it and specialize it. 
    * configure.in: Allow DBUS support to be disabled.
    * libseahorse/seahorse-context.c: Fix bug with not returning
    key sources properly. 
    * configure.in: Require DBUS 0.35 (earlier glib bindings seem broken)
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-dbus-bindings.xml: (removed)
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service-keyset.c:
    * daemon/seahorse-service-keyset.xml:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * daemon/seahorse-service.xml:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-pgp-key.c:
    * tests/dbus-test.py: Initial rough DBUS interface implementation. 
    
2005-08-23  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * src/seahorse-key-properties.c: Moved gpgme usage out of
    src/seahorse-key-properties. Patch from Jim Pharis
    (Bug #314132)

2005-08-22  Adam Schreiber <sadam@clemson.edu>
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Renaming seahorse_key_op functions to 
    seahorse_pgp_key_op (Bug #314132)
    
2005-08-20  Nate Nielsen  <nielsen@memberwebs.com> 

    * src/seahorse-key-properties.c: Fix problem with treating local keys
    as remote keys.
    * src/seahorse-key-manager-store.c: Fix crash. Don't unref key source. 
	* Merged changes from stable branch. 

2005-08-16  Nate Nielsen  <nielsen@memberwebs.com> 

	* Merged changes from stable branch. 

2005-08-15  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * seahorse-sharing.c:
    * seahorse-ldap-source.c:
    * seahorse-util.c:
    * seahorse-key-manager.c: Fix compilation warnings 
    * HACKING:
    * configure.in: Disable fatal messsages by default. Use
    the --enable-fatal-messages configure switch to enable.
    * agent/gtk-secure-entry.c: Fixed compile warning.
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-pgp-key-op.c:
    * libseahorse/seahorse-pgp-key-op.h:
    * src/Makefile.am:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expire.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-druid.c:
    * src/seahorse-generate-select.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Moved src/seahorse-key-op.* to libseahorse
    as seahorse-pgp-key-op.*
    * HACKING:
    * configure.in:
    * main.c: Provided a way (--disable-fatal-messages) to turn off fatal 
    warnings when --enable-debug is on.
    
2005-08-14  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-context.c: Fixed problem with not importing keys
    properly after an import (bug #313270)
    * src/seahorse-key-manager.c: Updated credits.
    * src/seahorse-key-manager-store.c: Fixed drag export of keys.
    
2005-08-13  Adam Schreiber  <sadam@clemson.edu>
    * libseahorse/seahorse-key-store.c: Add back in
    creating a pixbufcellrenderer
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-sharing.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gtkstock.c:
    * libseahorse/seahorse-gtkstock.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h
    * libseahorse/seahorse-widget.c:
    * pixmaps/Makefile.am:
    * src/main.c:
    * src/seahorse-key-manager.c: Made our icons themeable
    

2005-08-13  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: Fix some gpgme_ctx_t leakage.
    * HACKING: Updated docs
    * libseahorse/*.h: Added a little synopsis in each header.
    * libseahorse/seahorse-keyset.c: Fix bug where refreshing would cause a 
    bunch of spurious "added" or "removed" events. 
    * libseahorse/seahorse-dns-sd.c: DNS-SD now adds and removes key sources
    from the context properly. 
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-pgp-source.c: Prevent loops loading keys over and over.
    * src/seahorse-keyserver-results.c: Match remote keys properly
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-generate-druid.c:
    * src/seahorse-key-manager-store.c: Cleanup debug printing
    * libseahorse/seahorse-widget.c: Fix problem with SeahorseWidget destroying the
    internal GtkWidget twice.
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Set initial focus to tree view
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h: Rename seahorse_multi_operation_add
    to seahorse_multi_operation_take to reflect op ownership.
    * agent/seahorse-agent-status.c:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-hkp-source.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key-source.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyset.c:
    * libseahorse/seahorse-keyset.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-ldap-source.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-marshal.list:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-passphrase.c:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-pgp-source.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.h:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients-store.h:
    * libseahorse/seahorse-recipients.h:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * libseahorse/seahorse-widget.c:
    * libseahorse/seahorse-widget.h:
    * plugins/gedit/seahorse-gedit.c:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/main.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-generate-adv.c:
    * src/seahorse-generate-adv.h:
    * src/seahorse-generate-druid.c:
    * src/seahorse-generate-druid.h:
    * src/seahorse-generate-select.c:
    * src/seahorse-generate-select.h:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-key-widget.h:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-results.ui:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h:
    * src/seahorse-process-multiple.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c:
    * src/seahorse-windows.h: Refactored much of the internals of seahorse.
    SeahorseContext is now a global singleton. Keys are owned by the 
    SeahorseContext. SeahorseKeyset provides a filtered view on the key 
    list. SeahorseKeySource's add keys to the context. Operations only valid
    on GPG/PGP keys now only accept those key types or key sources. More 
    abstraction to allow different types of keys.
    
2005-08-07  Nate Nielsen  <nielsen@memberwebs.com>

    * autogen.sh: Require automake 1.7 
    * configure.in:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-dbus-bindings.xml:
    * daemon/seahorse-dbus-server.c:
    * daemon/seahorse-service.c:
    * daemon/seahorse-service.h:
    * tests/dbus-test.py: Added beginnings of a DBUS service.
    
2005-08-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager.c: Added Jim Pharis to contributors.
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-key-pair.c:
    * libseahorse/seahorse-key-pair.h:
    * libseahorse/seahorse-key-source.c:
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-op.h:
    * libseahorse/seahorse-pgp-key.c:
    * libseahorse/seahorse-pgp-key.h:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-signatures.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * plugins/gedit/seahorse-gedit.c:
    * src/main.c:
    * src/seahorse-add-subkey.c:
    * src/seahorse-add-uid.c:
    * src/seahorse-delete.c:
    * src/seahorse-expires.c:
    * src/seahorse-key-dialogs.h:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-op.c:
    * src/seahorse-key-op.h:
    * src/seahorse-key-properties.c:
    * src/seahorse-key-widget.c:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-revoke.c:
    * src/seahorse-sign.c: Refactor SeahorseKey into an abstract based
    class. Prepare for other key types. 
    
2005-07-27  Adam Schreiber  <sadam@clemson.edu>
	* pixmaps/seahorse-person.png:
	* src/seahorse-xloadimage.c: Helperfile and no photoid
	  graphic (bug #160413)

2005-07-18  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged seahorse-0-8 changes into HEAD

2005-07-17 Adam Schreiber <sadam@clemson.edu>
	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-multi-source.c: Patch from Flavio daCosta
	  (bug #310214)

2005-07-16  Adam Schreiber  <sadam@clemson.edu>
	* libseahorse/seahorse-prefs.glade:
	* libseahorse/seahorse-prefs-cache.c: Patch from Jim Pharis
	(bug #304714)
	* libseahorse/seahorse-key-store.c: Patch for single key delete
	from Flavio daCosta

2005-07-11 Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for Preferences(bug #309360)
	
2005-07-09  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for File Manager(bug #309360)

2005-07-04  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Added text for Text Editor(bug #309360)

2005-07-03  Adam Schreiber  <sadam@clemson.edu>
	* help/C/seahorse.xml: Begin Documentation Overhaul (bug #309360)
	* src/seahorse-generate-select.glade: Fix problem where pressing
	<return> doesn't activate continue button.	
	* src/seahorse-keyserver-search.glade: Fix problem where pressing
	<return> doesn't activate search button.
    	Patch by Adam Schreiber (bug #157818)
    	
2005-06-04  Nate Nielsen  <nielsen@memberwebs.com>

	* Merged seahorse-0-8 changes into HEAD

2005-06-04  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2005-06-01  Nate Nielsen  <nielsen@memberwebs.com>

    * plugins/nautilus/seahorse-pgp-preferences.c: Fix 
    compilation problem with WITH_AGENT is not defined.
    * INSTALL: Added howl to optional dependency listing.
    
2005-05-21  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: As Randall said, it's called Bonjour, not 
    Opentalk. 
    
2005-05-20  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * daemon/seahorse-hkp-server.c:
    * daemon/seahorse-sharing.c:
    * data/seahorse.schemas.in:
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-dns-sd.c:
    * libseahorse/seahorse-dns-sd.h:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h:
    * libseahorse/seahorse-util.c: 
    * libseahorse/seahorse-util.h:
    * pixmaps/Makefile.am:
    * pixmaps/seahorse-share-keys.png:
    * pixmaps/seahorse-share-keys.xcf:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-search.glade: Add DNS-SD key sharing
    * daemon/Makefile.am: Fix problem building with agent
    * plugins/nautilus/seahorse-pgp-preferences.c: Add necessary argument
    to allow display of the 'sharing' tab.
    * agent/seahorse-agent-status.c:
    * daemon/seahorse-sharing.c:
    * plugins/nautilus/Makefile.am:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in: Rename the 
    seahorse-pgp-preferences program to seahorse-preferences
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahurse-util.c:
    * libseahorse/seahorse-util.h: Change seahorse_util_show_error to be 
    more flexible for proper HIG compliant error messages.
    * daemon/seahorse-daemon.c: Shut down sharing if a DNS-SD error occurs.
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: 
    * src/seahorse-keyserver-results.c: Split main key manager into public
    and private key views.
    * daemon/seahorse-daemon.c: Use real name when publishing service
    
2005-05-19  Nate Nielsen  <nielsen@memberwebs.com>

	* Merge seahorse-0-8 changes into HEAD
    * HACKING:
    * Makefile.am:
    * configure.in:
    * agent/eggtrayicon.* (removed):
    * agent/seahorse-agent-io.c:
    * agent/seahorse-agent.c:
    * agent/seahorse-agent.h:
    * daemon/Makefile.am:
    * daemon/seahorse-daemon.c:
    * daemon/seahorse-daemon.h:
    * libseahorse/Makefile.am:
    * libseahorse/eggtrayicon.c:
    * libseahorse/eggtrayicon.h:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.glade: Moved agent into seahorse-daemon
    process. 
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs.h:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h: Identify preference tabs by the widgets 
    in them not by index, since the number of tabs differs depending on 
    compile options.
    * daemon/Makefile.am: If --disable-agent don't include agent code 
    in seahorse-daemon

2005-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* Merge seahorse-0-8 changes into HEAD

2005-05-15  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-hkp-source.c: Fix compiler warnings
    
2005-05-14  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-preferences.c: HIGify 'Visible Columns' tab.
    Patch from Jim Pharis (bug #304212)
    
2005-05-10  Nate Nielsen  <nielsen@memberwebs.com>

	* agent-seahore-agent.c: Use popt for command line handling.
	Patch by Adam Schreiber (bug #303495)
    
2005-05-08  Nate Nielsen  <nielsen@memberwebs.com>

    * src/main.c: Display command line help.
    Patch by Adam Schreiber (bug #303463)

2005-05-07  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: New release
    * configure.in: Updated to version 0.9.0
    * Branched seahorse-0-8
    * README.cvs: Updated to reflect branching

2005-05-04  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.c: Handle empty passwords properly
    Patch by Adam Schreiber (bug #169145)
    
2005-05-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Add option to seahorse_util_write_data_*
    to supress release of data.
	* libseahorse/seahorse-vfs-data.c: Fix problem with closing files
	hanging under certain circumstances.
    * libseahorse/seahorse-hkp-source.c: Fix crasher problems when parsing a 
    HKP key index. 
    * libseahorse/seahorse-util.h: 
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c: Drag and drop now works from remote key 
    windows to the local key manager. (bug #111137)
    * libseahorse/seahorse-util.c: Fix memory leak. 
    
2005-04-26  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent.h: Add option in agent 'Authorize' window
    to turn of authorize prompting. 
    Patch by Adam Schreiber. Fixes bug #302112
    
2005-04-24  Nate Nielsen  <nielsen@memberwebs.com>

    * agent/seahorse-agent-prompt.c: Keep agent window on top. 
    Patch by Adam Schreiber. Fixes bug #301842
    * libseahorse/Makefile.am: 
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-server-source.h: Dialog for adding key servers
    in preferences, validate key server uris (bug #159918)
    
2005-04-23  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-manager-store.c: Fix strange gconf crasher.
    
2005-04-21  Bastien Nocera  <hadess@hadess.net>

    * libseahorse/Makefile.am: fix build when WITH_HKP isn't defined

2005-04-19  Nate Nielsen  <nielsen@memberwebs.com>

    * INSTALL:
    * configure.in:
    * data/seahorse.schemas.in: 
    * libseahorse/Makefile.am:
    * libseahorse/seahorse-gpgmex-util.c: 
    * libseahorse/seahorse-hkp-source.c:
    * libseahorse/seahorse-hkp-source.h:
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-server-source.c:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: HKP Key Server support (bug #172757)
    * agent/seahorse-agent-io.c: Cleanup some warnings
    
2005-04-18  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-keyserver-search.glade: Fixed problem with disabled
    search button (bug #300578)
    
2005-04-16  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-check-button-control.h: Add proper license
    * configure.in:
    * agent/seahorse-agent-actions.c:
    * agent/seahorse-agent-cache.c:
    * libseahorse/seahorse-check-button-control.c:
    * libseahorse/seahorse-context.c:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-gconf.c:
    * libseahorse/seahorse-gconf.h:
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-prefs-cache.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-recipients-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-preferences.c:
    * src/seahorse-process-multiple.c: Simplified and consolidated Gconf 
    access, removed libeel dependency, added gconf dependency. 
    * AUTHORS:
    * HACKING:
    * INSTALL:
    * README:
    * THANKS:
    * TODO: Updated project description files.
    * configure.in: Removed gnome-mime-data dependency.
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade: Make the recipients dialog more
    keyboard accessible (bug #300775)
    
2005-04-15  Nate Nielsen  <nielsen@memberwebs.com>

    * NEWS: New release
    * configure.in: Updated version number
    
2005-04-12  Nate Nielsen  <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Change default key servers to ones
    that work.
    
2005-04-11  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-keyserver-control.c: Fix problems with 
    'Publish To' keyserver setting losing it's value when prefs
    dialog is shown. 
    * configure: Display a configuration summary
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade: Remove all key server operations
    when compiling without keyserver support.
    * plugins/nautilus/Makefile.am: Install capplet desktop file into both
    /usr/share/control-center-2.0/capplets and /usr/share/applications 
    (bug #172739)
    * src/seahorse-key-manager.glade: Added proper spacing around 'Filter:'
    * libseahorse/seahorse-prefs.c: Added back ASCII Armor option back with 
    proper option description.
    * libseahorse/seahorse-prefs.glade:
    * src/seahorse-key-manager.glade: Cleaned up glade files.
    
2005-04-06  Nate Nielsen  <nielsen@memberwebs.com>
    
    * data/seahorse.schemas.in: Fix typo (bug #172826)
    
2005-04-05  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-source.c: 
    * src/seahorse-key-source.h: Added method to import synchronously
    directly on a key source. 
    * libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h: Added method to retrieve all keys
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.glade:
    * libseahorse/seahorse-progress.h: Added support for progress windows
    on a given operation. 
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-operation.h: Reworked operation support 
    * data/seahorse.schemas.in: 
    * libseahorse/Makefile.am: 
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-keyserver-control.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-prefs.h: 
    * src/seahorse-preferences.c:
    * src/seahorse-preferences.h: Added 'Publish To' key server control, 
    and support for showing an initial tab when opening prefs.
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-multi-source.c:
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-server-source.c:
    * src/Makefile.am
    * src/seahorse-key-manager.c:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.c:
    * src/seahorse-keyserver-search.c:
    * src/seahorse-keyserver-search.glade:
    * src/seahorse-keyserver-sync.c:
    * src/seahorse-keyserver-sync.glade:
    * src/seahorse-windows.h: Added support for syncing and publishing keys,
    rearranged main key manager window to accomodate.
    * src/seahorse-ldap-source.c: Don't display error when key already exists
    on server.    
    * libseahorse/seahorse-ldap-source.c:
    * libseahorse/seahorse-operation.c:
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-keyserver-sync.c: Better progress and status updates.
    * libseahorse/seahorse-progress.glade:
    * src/seahorse-key-manager.glade: 
    * src/seahorse-keyserver-result.glade:
    * src/seahorse-keyserver-sync.glade: UI fixes
    * libseahorse/seahorse-progress.c:
    * libseahorse/seahorse-progress.h:
    * libseahorse/seahorse-recipients.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: App status bar progress fixes.
    * libseahorse/seahorse-keyserver-control.c:
    * libseahorse/seahorse-keyserver-control.h:
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Fixed problems with the key server 
    selector tool.
    
2005-04-03  Nate Nielsen  <nielsen@memberwebs.com>

    * src/seahorse-key-properties.c: Fix compiler warning.
    
2005-04-02  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: 
    * libseahorse/seahorse-util.h: Add string compare function.
    Fix problem with choosing wrong extension for encryption.
    
2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-04-01  Nate Nielsen  <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c: Fix crasher in seahorse_util_add_suffix.
    * data/seahorse.schemas.in: Remove 'show_length' option.
    
2005-03-31  Nate Nielsen  <nielsen@memberwebs.com> 

    * src/seahorse-key-manager-store.c: 
    * src/seahorse-preferences.c: Remove the 'Length' column from the main 
    key manager display. Still available in Key Properties. 
    * src/seahorse-key-manager-store.c: Cleanup columns of main Key Manager 
    display to be simpler and less busy. 
    
2005-03-30  Nate Nielsen <nielsen@memberwebs.com>
    
    * src/Makefile.am: 
    * src/seahorse-expires.c:
    * src/seahorse-expires.glade:
    * src/seahorse-key-dialog.h:
    * src/seahorse-key-properties.c: Use another dialog to prompt for expiry
    date changes (bug #105300)
    
2005-03-28  Nate Nielsen <nielnen@memberwebs.com>

    * libseahorse/seahorse-util.c: Properly detect armor mode and change
    extension. 
    * data/seahorse.schemas.in:
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-op.c:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-util.c: Remove 'Text Mode' option. Remove 'Armor'
    option from the user interface. These are automatic now. Overriding 
    'ASCII Armor' mode is done in gconf at: /desktop/pgp/ascii_armor
    * libseahorse/seahorse-passphrase.c: 
    * src/seahorse-key-op.c: Fix some hanging problems when modifying key 
    properties
    
2005-03-25  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h: Change default extension to '.pgp' for 
    compatibility. Fixed problems with suffixes (and a memory leak).
    
2005-03-22  Nate Nielsen <nielsen@memberwebs.com>

    * bonobo/seahorse-pgp-file-listener.c: Remove gnome.h header. 
    * agent/seahorse-agent-cache.glade: 
    * agent/seahorse-agent-prompt.c:
    * agent/seahorse-agent-status.c:
    * bonobo/seahorse-pgp-file-listener.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-util.c:
    * plugins/gedit/seahorse-gedit.schemas.in:
    * plugins/gedit/seahorse-pgp-gedit.plugin.desktop.in:
    * plugins/nautilus/seahorse-pgp-preferences.c:
    * plugins/nautilus/seahorse-pgp-preferences.desktop.in:
    * src/main.c:
    * src/seahorse-generate-druid.glade:
    * src/seahorse-key-manager.glade:
    * src/seahorse-keyserver-results.glade:
    * src/seahorse-pgp-encrypted.desktop.in:
    * src/seahorse-pgp-signature.desktop.in:
    * src/seahorse.desktop.in: Remove unnecessary PGP or GPG 
    references, and use 'passphrase' consistently. 

2005-03-20  Nate Nielsen <nielsen@memberwebs.com>

    * configure.in: Support for gedit 2.10
    * Makefile.am:
    * configure.in:
    * bonobo/Makefile.am:
    * plugins/Makefile.am:
    * plugins/nautilus-ext/Makefile.am:
    * plugins/nautilus-ext/seahorse-nautilus-module.c:
    * plugins/nautilus-ext/seahorse-nautilus.c:
    * plugins/nautilus-ext/seahorse-nautilus.h: Gnome 2.10 nautilus
    extension support. Patch by Fernando Herrera. (bug #160360)
    
2005-03-18  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-util.h:
    * src/Makefile.am:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager-store.h:
    * src/seahorse-key-manager.c:
    * src/eggtreemultidnd.c:
    * src/eggtreemultidnd.h: Added support for the key lists to be drag
    sources (bug# 111137)
    * libseahorse/seahorse-util.c:
    * src/seahorse-key-manager-store.c:
    * src/seahorse-key-manager.c: More drag and drop fixes. 

2005-03-03  Nate Nielsen <nielsen@memberwebs.com>

    * agent/seahorse-agent-cache.glade: Fix typo and screwed up description
    of insecure passphrases stored in memory 
	* agent/seahorse-agent-actions.c:
	* agent/seahorse-agent-prompt.c:
	* libseahorse/seahorse-prefs-cache.c: Changed usage of 'password' to 
	'passphrase' in user visible text.
    
2005-02-19  Nate Nielsen <nielsen@memberwebs.com>

    * configure.in: Version 0.7.6

2005-02-15  Nate Nielsen <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: Fix tag problem 
    * src/seahorse-key-manager.glade: Fix warnings about events
	
2005-02-14  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-signer.c:
    * libseahorse/seahorse-signer.glade: Added missing files from 
    yesterday's 'Prompt for signer' checkin. 
    
2005-02-13  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/Makefile.am:
    * libseahorse/seahorse-libdialogs.h:
    * plugins/gedit/seahorse-gedit.c:
    * src/main.c:
    * src/seahorse-revoke.c: Prompt for signer when no default 
    key is selected.
    * agent/seahorse-agent-cache.c: Display key UID properly in 
    agent window. Open file descriptors in agent daemon so that 
    GPGME works. (bug #159629)
    * configure.in: Allow use with GPG 1.4 (bug #161697)
    
2005-02-10  Nate Nielsen <nielsen@memberwebs.com>

    * HACKING: Added notes and list of non GPGME features we're
    using.
    
2005-02-09  Nate Nielsen <nielsen@memberwebs.com>

    * data/seahorse.schemas.in: 
    * libseahorse/seahorse-context.h:
    * libseahorse/seahorse-default-key-control.c:
    * libseahorse/seahorse-default-key-control.h:
    * libseahorse/seahorse-key-pair.c:
    * libseahorse/seahorse-key-pair.h:
    * libseahorse/seahorse-libdialogs.h:
    * libseahorse/seahorse-prefs.c:
    * libseahorse/seahorse-prefs.glade:
    * libseahorse/seahorse-recipients.c:
    * libseahorse/seahorse-recipients.glade:
    * plugins/nautilus/seahorse-gedit.c: 
    * src/main.c: Support for choice of signing key, proper control for 
    signing key selection (Fixes #157333, #111885)
    
2005-02-06  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-pgp-source.c: Fixed problem where key 
    list would be truncated when opening a key's properties
    * libseahorse/seahorse-key.c:
    * libseahorse/seahorse-key.h:
    * libseahorse/seahorse-key-properties.c:
    * libseahorse/seahorse-key-properties.glade: Usability patch 
    from Jim Pharis (bug #166417)
    
2005-02-05  Nate Nielsen <nielsen@memberwebs.com>

    * libseahorse/seahorse-op.c: 
    * libseahorse/seahorse-util.c:
    * libseahorse/seahorse-vfs-data.c:
    * libseahorse/seahorse-vfs-data.h: 
    * src/main.c: gnome-vfs work: delay file creation until write.
    cleanup gnome-vfs properly. use gnome-vfs for all file action.
    * libseahorse/seahorse-util.c: Make the 'save and 'open' buttons
    in the file chooser dialogs the default buttons.
    * libseahorse/seahorse-op.c: Fix bug where plain text file was 
    truncated when verified against a signature.
    
2005-02-04  Nate Nielsen <nielsen@memberwebs.com>

    * src/seahorse-keyserver-search.glade: Adam Schreiber
    made entry field run search on Return keypress
    * libseahorse/seahorse-pgp-source.c:
    * libseahorse/seahorse-util.c:     
    * libseahorse/seahorse-util.h: Monitor keyring and refresh 
    keys automatically when keyring changes.
    * src/seahorse-key-manager.c: Remove extra key list refreshes.
    Key source takes care of refreshing keys
    
2005-02-03  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-util.c: Now prompts for alternate 
	files in the right directory (bug #164962)
	* libseahorse/seahorse-key-store.c:
    * libseahorse/seahorse-key-store.h:
    * src/seahorse-delete.c:
    * src/seahorse-key-manager.c:
    * src/seahorse-keyserver-results.c: Allow deletion of UIDs
    from the main key manager window (bug #164959)
    * libseahorse/seahorse-key-store.c: Fix recipient selection
    status problems (bug #164958)
    * libseahorse/seahorse-gpg-options.c: Relax restriction on 
    GPG versions. Allow any 1.x version. (see bug #166224)
    * libseahorse/seahorse-pgp-source.c: Recognize secret keys
    when imported (bug #164955)
    
2005-02-02  Nate Nielsen <nielsen@memberwebs.com>

	* src/seahorse-key-manager.glade: Patch from Adam Schreiber
	which fixes problems with toolbar.
	
2005-01-29  Nate Nielsen <nielsen@memberwebs.com>

	* pixmaps/seahorse-key.png:
	* pixmaps/seahorse-secret.png: Added support files for Adam's patch.
	* src/seahorse-key-manager-store.c: 
	* libseahorse/seahorse-key-store.c: Some changes to Adam's patch. No icons
	in recipient selection. No icons for UIDs.
	
2005-01-29	Adam Schreiber <sadam@clemson.edu>
	
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-key-store.c: 
	* pixmaps/Makefile.am: Added Key and Keypair icons to the column view.  
	Sorting on keypair is remembered after close. (bug# 111176)
	
2005-01-22	Adam Schreiber <sadam@clemson.edu>

	* src/seahorse-key-manager.glade: Added bindings for the delete and 
	backspace keys (bug# 164960)
	
2005-01-22  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-key-store.c:
	* libseahorse/seahorse-key-store.h:
	* libseahorse/seahorse-recipients.c:
	* libseahorse/seahorse-recipients-store.c:
	* src/seahorse-key-manager-store.c: Better handling of UID rows in the key 
	manager and recipients dialog. (bug# 159669)
	
2005-01-06  Nate Nielsen <nielsen@memberwebs.com>

	* libseahorse/seahorse-recipients.c: 
	* src/seahorse-process-multiple.c: Added i18n pluralization fixes (bug #155594, #155214)
	
2004-12-23  Nate Nielsen <nielsen@memberwebs.com>

	* src/Makefile.am
	* src/seahorse-pgp-encrypted.desktop.in:
	* src/seahorse-pgp-signature.desktop.in: Adam Schreiber added decryption 
	operations as defaults for application/pgp-encrypted and 
	appliaction/pgp-signature (bug #160975)
	
2004-12-14  Nate Nielsen <nielsen@memberwebs.com>

 	* agent/gtk-secure-entry.c:
 	* agent/seahorse-agent.c:
 	* agent/seahorse-agent-secmem.c:
 	* agent/seahorse-agent-status.c: Cleaned up compile warnings in agent
 	* src/seahorse-key-manager.c:
 	* src/seahorse-keyserver-results.glade: Cleaned up GTK and glade run-time warnings 
 	* libseahorse/Makefile.am:
 	* libseahorse/seahorse-context.c:
 	* libseahorse/seahorse-context.h:
 	* libseahorse/seahorse-key-source.c:
 	* libseahorse/seahorse-key-source.h:
 	* libseahorse/seahorse-key-store.c:
 	* libseahorse/seahorse-ldap-source.c:
 	* libseahorse/seahorse-multi-source.c:
 	* libseahorse/seahorse-op.c:
 	* libseahorse/seahorse-operation.c:
 	* libseahorse/seahorse-operation.h:
 	* libseahorse/seahorse-pgp-source.c:
 	* libseahorse/seahorse-pgp-source.h:
 	* libseahorse/seahorse-progress.c:
